"""Autogenerated API schema"""
from argus_api import session


add_mitre_category = {'tags': ['development'], 'summary': 'Adds a new MITRE category (DEV)', 'description': '', 'operationId': 'addMitreCategory', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Add MITRE category request', 'required': False, 'schema': {'type': 'object', 'required': ['externalId', 'model', 'name', 'shortName', 'type', 'url', 'version'], 'properties': {'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': {'type': 'str', 'position': 0, 'description': 'Enumerated type of the MITRE category', 'enum': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}, 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE ATT&CK release'}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page => ((https?|ftp|gopher|telnet|file):((/)|(\\\\))+[\\w\\d:\\#@%/;$()~_?\\\\+-=\\\\\\.&]*)'}}}}], 'responses': {'201': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE category', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'relationships': {'type': 'list', 'position': 0, 'description': 'Relationships that this MITRE category is participating in', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories'}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'type': 'str', 'version': {'type': 'str', 'position': 0, 'description': 'Version of the relationship (MITRE ATT&CK release), has to match the version of the related MITRE categories'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
add_mitre_category_relationship = {'tags': ['development'], 'summary': 'Adds a new MITRE category relationship (DEV)', 'description': '', 'operationId': 'addMitreCategoryRelationship', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'idOrExtId', 'in': 'path', 'description': 'ID or external ID of the source MITRE category (external ID requires an additional query parameter: sourceCategoryModel; version is already part of the request payload)', 'required': True, 'type': 'str'}, {'name': 'sourceCategoryModel', 'in': 'query', 'description': 'Which threat model to use with external ID of the source MITRE category', 'required': False, 'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, {'in': 'body', 'name': 'body', 'description': 'Add MITRE category relationship request', 'required': False, 'schema': {'type': 'object', 'required': ['externalId', 'targetCategory', 'type', 'version'], 'properties': {'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category relationship'}, 'targetCategory': {'type': 'str', 'position': 0, 'description': 'ID or external ID of target MITRE category (external ID requires setting an additional attribute: targetCategoryModel)'}, 'targetCategoryModel': {'type': 'str', 'position': 0, 'description': 'Which threat model to use with target MITRE category external ID', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'type': {'type': 'str', 'position': 0, 'description': 'Enumerated type of the MITRE category relationship', 'enum': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE ATT&CK release, has to match the version of the related categories'}}}}], 'responses': {'201': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories'}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'type': 'str', 'version': {'type': 'str', 'position': 0, 'description': 'Version of the relationship (MITRE ATT&CK release), has to match the version of the related MITRE categories'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
add_or_update_mitre_model_version = {'tags': ['development'], 'summary': 'Adds or updates MITRE model version info (DEV)', 'description': '', 'operationId': 'addOrUpdateMitreModelVersion', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'model', 'in': 'path', 'description': 'Threat model of the MITRE category', 'required': True, 'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, {'name': 'version', 'in': 'path', 'description': 'Version of the MITRE ATT&CK release', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Add-or-update MITRE model version info request', 'required': False, 'schema': {'type': 'object', 'properties': {'markAsDefault': {'type': 'bool', 'position': 0, 'description': 'A boolean flag indicating whether this version should be marked as the default one for this model (default value is null, meaning no change)'}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE ATT&CK release'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE model version', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['default']}}}}}}}, '220': {'description': 'No update was performed'}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
delete_mitre_category = {'tags': ['development'], 'summary': 'Deletes an existing MITRE category (DEV)', 'description': '', 'operationId': 'deleteMitreCategory', 'produces': ['application/json'], 'parameters': [{'name': 'idOrExtId', 'in': 'path', 'description': 'ID or external ID of the MITRE category (external ID requires additional query parameters: model, version)', 'required': True, 'type': 'str'}, {'name': 'model', 'in': 'query', 'description': 'Which threat model to use with external ID', 'required': False, 'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, {'name': 'version', 'in': 'query', 'description': 'Which version to use with external ID', 'required': False, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE category', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'relationships': {'type': 'list', 'position': 0, 'description': 'Relationships that this MITRE category is participating in', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories'}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'type': 'str', 'version': {'type': 'str', 'position': 0, 'description': 'Version of the relationship (MITRE ATT&CK release), has to match the version of the related MITRE categories'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
delete_mitre_category_relationship = {'tags': ['development'], 'summary': 'Deletes an existing MITRE category relationship (DEV)', 'description': '', 'operationId': 'deleteMitreCategoryRelationship', 'produces': ['application/json'], 'parameters': [{'name': 'idOrExtId', 'in': 'path', 'description': 'ID or external ID of the MITRE category relationship (external ID requires an additional query parameter: version)', 'required': True, 'type': 'str'}, {'name': 'version', 'in': 'query', 'description': 'Which version to use with external ID', 'required': False, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories'}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'type': 'str', 'version': {'type': 'str', 'position': 0, 'description': 'Version of the relationship (MITRE ATT&CK release), has to match the version of the related MITRE categories'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
get_mitre_category = {'tags': ['development'], 'summary': 'Gets an existing MITRE category by ID or external ID (DEV)', 'description': '', 'operationId': 'getMitreCategory', 'produces': ['application/json'], 'parameters': [{'name': 'idOrExtId', 'in': 'path', 'description': 'ID or external ID of the MITRE category (external ID requires additional query parameters: model, version)', 'required': True, 'type': 'str'}, {'name': 'model', 'in': 'query', 'description': 'Which threat model to use with external ID', 'required': False, 'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, {'name': 'version', 'in': 'query', 'description': 'Which version to use with external ID', 'required': False, 'type': 'str'}, {'name': 'includeRelationships', 'in': 'query', 'description': 'Whether to include MITRE category relationships or not (not included by default)', 'required': False, 'type': 'bool'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE category', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'relationships': {'type': 'list', 'position': 0, 'description': 'Relationships that this MITRE category is participating in', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories'}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'type': 'str', 'version': {'type': 'str', 'position': 0, 'description': 'Version of the relationship (MITRE ATT&CK release), has to match the version of the related MITRE categories'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
get_mitre_category_relationship = {'tags': ['development'], 'summary': 'Gets an existing MITRE category relationship by ID or external ID (DEV)', 'description': '', 'operationId': 'getMitreCategoryRelationship', 'produces': ['application/json'], 'parameters': [{'name': 'idOrExtId', 'in': 'path', 'description': 'ID or external ID of the MITRE category relationship (external ID requires an additional query parameter: version)', 'required': True, 'type': 'str'}, {'name': 'version', 'in': 'query', 'description': 'Which version to use with external ID', 'required': False, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories'}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'type': 'str', 'version': {'type': 'str', 'position': 0, 'description': 'Version of the relationship (MITRE ATT&CK release), has to match the version of the related MITRE categories'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
get_mitre_model_version = {'tags': ['development'], 'summary': 'Gets MITRE model version info by model and version (DEV)', 'description': '', 'operationId': 'getMitreModelVersion', 'produces': ['application/json'], 'parameters': [{'name': 'model', 'in': 'path', 'description': 'Threat model of the MITRE category', 'required': True, 'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, {'name': 'version', 'in': 'path', 'description': 'Version of the MITRE ATT&CK release', 'required': True, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE ATT&CK release'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE model version', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['default']}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
list_mitre_categories = {'tags': ['development'], 'summary': 'List MITRE categories (DEV)', 'description': '', 'operationId': 'listMitreCategories', 'produces': ['application/json'], 'parameters': [{'name': 'type', 'in': 'query', 'description': 'Type(s) of the included MITRE categories (all by default)', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}, 'collectionFormat': 'multi'}, {'name': 'model', 'in': 'query', 'description': 'Threat model(s) of the included MITRE categories (all by default)', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'collectionFormat': 'multi'}, {'name': 'version', 'in': 'query', 'description': 'Version(s) of the included MITRE categories (all by default)', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'includeDeleted', 'in': 'query', 'description': 'Whether to include deleted MITRE categories or not (not included by default)', 'required': False, 'type': 'bool'}, {'name': 'includeDeprecated', 'in': 'query', 'description': 'Whether to include deprecated MITRE categories or not (not included by default)', 'required': False, 'type': 'bool'}, {'name': 'includeRelationships', 'in': 'query', 'description': 'Whether to include MITRE category relationships or not (not included by default)', 'required': False, 'type': 'bool'}, {'name': 'sortBy', 'in': 'query', 'description': "Field(s) to sort results by (without sign is ascending, with '-' sign is descending)", 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'limit', 'in': 'query', 'description': 'The max amount of items to return (25 by default, 0 means no limit)', 'required': False, 'type': 'int', 'minimum': 0}, {'name': 'offset', 'in': 'query', 'description': 'The amount of items to skip from the beginning (0 by default)', 'required': False, 'type': 'int', 'minimum': 0}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE category', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'relationships': {'type': 'list', 'position': 0, 'description': 'Relationships that this MITRE category is participating in', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories'}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'type': 'str', 'version': {'type': 'str', 'position': 0, 'description': 'Version of the relationship (MITRE ATT&CK release), has to match the version of the related MITRE categories'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
list_mitre_category_relationships = {'tags': ['development'], 'summary': 'List MITRE category relationships (DEV)', 'description': '', 'operationId': 'listMitreCategoryRelationships', 'produces': ['application/json'], 'parameters': [{'name': 'idOrExtId', 'in': 'path', 'description': 'ID or external ID of the source or target MITRE category (external ID requires additional query parameters: model, version)', 'required': True, 'type': 'str'}, {'name': 'model', 'in': 'query', 'description': 'Which threat model to use with external ID of the MITRE category', 'required': False, 'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, {'name': 'version', 'in': 'query', 'description': 'Which version to use with external ID of the MITRE category', 'required': False, 'type': 'str'}, {'name': 'includeDeleted', 'in': 'query', 'description': 'Whether to include deleted MITRE category relationships or not (not included by default)', 'required': False, 'type': 'bool'}, {'name': 'sortBy', 'in': 'query', 'description': "Field(s) to sort results by (without sign is ascending, with '-' sign is descending)", 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'limit', 'in': 'query', 'description': 'The max amount of items to return (25 by default, 0 means no limit)', 'required': False, 'type': 'int', 'minimum': 0}, {'name': 'offset', 'in': 'query', 'description': 'The amount of items to skip from the beginning (0 by default)', 'required': False, 'type': 'int', 'minimum': 0}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories'}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'type': 'str', 'version': {'type': 'str', 'position': 0, 'description': 'Version of the relationship (MITRE ATT&CK release), has to match the version of the related MITRE categories'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
list_mitre_model_versions = {'tags': ['development'], 'summary': "Lists available MITRE model versions' info by model (DEV)", 'description': '', 'operationId': 'listMitreModelVersions', 'produces': ['application/json'], 'parameters': [{'name': 'model', 'in': 'path', 'description': 'Threat model of the MITRE category', 'required': True, 'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE ATT&CK release'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE model version', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['default']}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
search_mitre_categories = {'tags': ['development'], 'summary': 'Searches for MITRE categories (DEV)', 'description': '', 'operationId': 'searchMitreCategories', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'MITRE category search request', 'required': False, 'schema': {'type': 'object', 'properties': {'id': {'type': 'list', 'position': 0, 'description': 'A set of IDs of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str'}}, 'externalId': {'type': 'list', 'position': 0, 'description': 'A set of external IDs of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str'}}, 'shortName': {'type': 'list', 'position': 0, 'description': 'A set of short names of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'string'}}, 'type': {'type': 'list', 'position': 0, 'description': 'A set of enumerated types of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'model': {'type': 'list', 'position': 0, 'description': 'A set of enumerated threat models of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}}, 'version': {'type': 'list', 'position': 0, 'description': 'A set of versions of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'string'}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'A set of included enumerated flags of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'A set of excluded enumerated flags of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Keywords that are searched for in the fields of MITRE categories', 'items': {'type': 'string'}}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'A set of fields of the MITRE categories where the keywords are searched (default all)', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['id', 'externalId', 'shortName', 'name', 'all']}}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Selected keyword matching strategy for searching in the fields of MITRE categories (default all)', 'enum': ['all', 'any']}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional search criteria with AND, OR or AND NOT', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'id': {'type': 'list', 'position': 0, 'description': 'A set of IDs of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str'}}, 'externalId': {'type': 'list', 'position': 0, 'description': 'A set of external IDs of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str'}}, 'shortName': {'type': 'list', 'position': 0, 'description': 'A set of short names of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'string'}}, 'type': 'list', 'model': {'type': 'list', 'position': 0, 'description': 'A set of enumerated threat models of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}}, 'version': {'type': 'list', 'position': 0, 'description': 'A set of versions of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'string'}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'A set of included enumerated flags of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'A set of excluded enumerated flags of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Keywords that are searched for in the fields of MITRE categories', 'items': {'type': 'string'}}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'A set of fields of the MITRE categories where the keywords are searched (default all)', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['id', 'externalId', 'shortName', 'name', 'all']}}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Selected keyword matching strategy for searching in the fields of MITRE categories (default all)', 'enum': ['all', 'any']}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional search criteria with AND, OR or AND NOT', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'id': {'type': 'list', 'position': 0, 'description': 'A set of IDs of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str'}}, 'externalId': {'type': 'list', 'position': 0, 'description': 'A set of external IDs of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str'}}, 'shortName': {'type': 'list', 'position': 0, 'description': 'A set of short names of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'string'}}, 'type': 'list', 'model': {'type': 'list', 'position': 0, 'description': 'A set of enumerated threat models of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}}, 'version': {'type': 'list', 'position': 0, 'description': 'A set of versions of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'string'}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'A set of included enumerated flags of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'A set of excluded enumerated flags of the searched MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Keywords that are searched for in the fields of MITRE categories', 'items': {'type': 'string'}}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'A set of fields of the MITRE categories where the keywords are searched (default all)', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['id', 'externalId', 'shortName', 'name', 'all']}}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Selected keyword matching strategy for searching in the fields of MITRE categories (default all)', 'enum': ['all', 'any']}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional search criteria with AND, OR or AND NOT', 'uniqueItems': True, 'items': []}, 'required': {'type': 'bool', 'position': 0, 'description': 'Is this sub-criteria required? If false it is OR-ed, if true it is AND-ed (default false)', 'default': False}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'Exclude objects matching sub-criteria? If true, the criteria is NOT-ed. (default false)', 'default': False}}}}, 'required': {'type': 'bool', 'position': 0, 'description': 'Is this sub-criteria required? If false it is OR-ed, if true it is AND-ed (default false)', 'default': False}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'Exclude objects matching sub-criteria? If true, the criteria is NOT-ed. (default false)', 'default': False}}}}, 'includeRelationships': {'type': 'bool', 'position': 0, 'description': 'Whether to include MITRE category relationships in search results or not (default false)', 'default': False}, 'sortBy': {'type': 'list', 'position': 0, 'description': "Fields to sort results by (without sign is ascending, with '-' sign is descending) (default shortName, -createdTimestamp)", 'items': {'type': 'str', 'enum': ['id', 'externalId', 'shortName', 'name', 'type', 'model', 'version', 'createdTimestamp', 'lastUpdatedTimestamp', 'deletedTimestamp', '-id', '-externalId', '-shortName', '-name', '-type', '-model', '-version', '-createdTimestamp', '-lastUpdatedTimestamp', '-deletedTimestamp']}}, 'limit': {'type': 'int', 'position': 0, 'description': 'The max amount of items to return (default 25)', 'minimum': 0, 'default': 25}, 'offset': {'type': 'int', 'position': 0, 'description': 'The amount of items to skip from the beginning (default 0)', 'minimum': 0, 'default': 0}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE category', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'relationships': {'type': 'list', 'position': 0, 'description': 'Relationships that this MITRE category is participating in', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories'}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'type': 'str', 'version': {'type': 'str', 'position': 0, 'description': 'Version of the relationship (MITRE ATT&CK release), has to match the version of the related MITRE categories'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
update_mitre_category = {'tags': ['development'], 'summary': 'Updates an existing MITRE category (DEV)', 'description': '', 'operationId': 'updateMitreCategory', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'idOrExtId', 'in': 'path', 'description': 'ID or external ID of the MITRE category (external ID requires additional query parameters: model, version)', 'required': True, 'type': 'str'}, {'name': 'model', 'in': 'query', 'description': 'Which threat model to use with external ID', 'required': False, 'type': 'str', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, {'name': 'version', 'in': 'query', 'description': 'Which version to use with external ID', 'required': False, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Update MITRE category request', 'required': False, 'schema': {'type': 'object', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': {'type': 'str', 'position': 0, 'description': 'Enumerated type of the MITRE category', 'enum': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page => ((https?|ftp|gopher|telnet|file):((/)|(\\\\))+[\\w\\d:\\#@%/;$()~_?\\\\+-=\\\\\\.&]*)'}, 'deprecated': {'type': 'bool', 'position': 0, 'description': 'A boolean flag indicating if the MITRE category is deprecated'}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE category', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'relationships': {'type': 'list', 'position': 0, 'description': 'Relationships that this MITRE category is participating in', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories'}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'type': 'str', 'version': {'type': 'str', 'position': 0, 'description': 'Version of the relationship (MITRE ATT&CK release), has to match the version of the related MITRE categories'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}}}}, '220': {'description': 'No update was performed'}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
update_mitre_category_relationship = {'tags': ['development'], 'summary': 'Updates an existing MITRE category relationship (DEV)', 'description': '', 'operationId': 'updateMitreCategoryRelationship', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'idOrExtId', 'in': 'path', 'description': 'ID or external ID of the MITRE category relationship (external ID requires an additional query parameter: version)', 'required': True, 'type': 'str'}, {'name': 'version', 'in': 'query', 'description': 'Which version to use with external ID', 'required': False, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Update MITRE category relationship request', 'required': False, 'schema': {'type': 'object', 'properties': {'type': {'type': 'str', 'position': 0, 'description': 'Enumerated type of the MITRE category relationship', 'enum': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories'}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category'}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category'}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category (MITRE ATT&CK release)'}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool', 'campaign']}}, 'type': 'str', 'version': {'type': 'str', 'position': 0, 'description': 'Version of the relationship (MITRE ATT&CK release), has to match the version of the related MITRE categories'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'options': ['subtechniqueOf', 'revokedBy', 'mitigates', 'uses']}}}}}, '220': {'description': 'No update was performed'}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}