"""Autogenerated API schema"""
from argus_api import session


activate_user_enrollment = {'tags': ['development'], 'summary': 'Activate enrollment for current user, after receiving activation email (DEV)', 'description': '', 'operationId': 'activateUserEnrollment', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Request object', 'required': False, 'schema': {'type': 'object', 'required': ['domain', 'enrollmentCode', 'userName'], 'properties': {'userName': {'type': 'str', 'position': 0, 'description': 'Username for user to activate enrollment for'}, 'enrollmentCode': {'type': 'str', 'position': 0, 'description': 'Enrollment code'}, 'domain': {'type': 'str', 'position': 0, 'description': 'Domain id or name for the domain to lookup user in. Typically set by UI client'}}, 'description': 'User request to activate enrollment, after receiving activation email'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'userID': {'type': 'int', 'position': 0, 'description': 'The userID of the enrolling user. This is used for the next verification step.'}, 'activationCookie': {'type': 'str', 'position': 0, 'description': 'A cookie for the current activation session. This is used for the next verification step.'}}, 'description': 'Response from user enrollment activation request'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'User not found'}, '412': {'description': 'Invalid argument'}}}
authenticate_user_enrollment = {'tags': ['development'], 'summary': 'Verify enrollment for current user, after receiving verification code.If successful, it returns a valid session, with authorizations to set password, and enroll other authentication methods. (DEV)', 'description': '', 'operationId': 'authenticateUserEnrollment', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Request object', 'required': False, 'schema': {'type': 'object', 'required': ['activationCookie', 'verificationCode'], 'properties': {'userID': {'type': 'int', 'position': 0, 'description': 'Username for user to verify enrollment for', 'minimum': 1}, 'verificationCode': {'type': 'str', 'position': 0, 'description': 'Verification code'}, 'activationCookie': {'type': 'str', 'position': 0, 'description': 'The activation cookie received in the activation step'}}, 'description': 'User request to verify enrollment, after receiving verification code'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'required': ['credentials', 'sessionKey'], 'properties': {'credentials': {'type': 'dict', 'properties': {'uri': {'type': 'string'}, 'clientIP': {'type': 'string'}, 'forwardedIP': {'type': 'string'}, 'requestCredentialsType': {'type': 'str', 'enum': ['sessionToken', 'signature', 'apikey']}, 'requestCredentialsData': {'type': 'string'}}}, 'sessionKey': {'type': 'str', 'position': 0, 'description': 'The symmetric key created for this session'}, 'authorizations': {'type': 'list', 'position': 0, 'description': 'Any gratuitous authorization tokens generated during authentication, if requested by the client', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'operation': {'type': 'str', 'position': 0, 'description': 'Operation which is authorized by this token'}, 'authorization': {'type': 'str', 'position': 0, 'description': 'Authorization JWS string'}, 'nextURI': {'type': 'str', 'position': 0, 'description': 'The URI to proceed to, appending the authorization JWS as a query parameter'}, 'expires': {'type': 'int', 'position': 0, 'description': 'The timestamp when this authorization expires'}}}}}}}}}, '401': {'description': 'Authentication failed'}, '412': {'description': 'Invalid argument'}}}