"""Autogenerated API schema"""
from argus_api import session


call = {'tags': ['componentadmin/v1'], 'summary': 'Invoke operation (INTERNAL)', 'description': '', 'operationId': 'call', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Invocation request', 'required': False, 'schema': {'type': 'object', 'required': ['method'], 'properties': {'arguments': {'type': 'list', 'items': {'type': 'object'}}, 'method': {'type': 'string'}, 'pattern': {'type': 'dict', 'properties': {'exact': {'type': 'boolean'}, 'identifiers': {'type': 'dict', 'additionalProperties': {'type': 'string'}}}}, 'type': {'type': 'string'}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'string'}, 'state': {'type': 'str', 'position': 0, 'description': 'The state of this task', 'enum': ['RUNNING', 'DONE', 'EXCEPTION', 'TIMEOUT']}, 'target': {'type': 'dict', 'properties': {'exact': {'type': 'boolean'}, 'identifiers': {'type': 'dict', 'additionalProperties': {'type': 'string'}}}}, 'method': {'type': 'str', 'position': 0, 'description': 'The name of the invoked method'}, 'arguments': {'type': 'list', 'position': 0, 'description': 'The arguments used when invoking the method', 'items': {'type': 'object'}}, 'result': {'type': 'object'}, 'started': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was started'}, 'finished': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was finished. If task is still RUNNING, this is not set.'}, 'children': {'type': 'list', 'position': 0, 'description': 'A map of component identities and subtasks, if this task has spawned tasks for multiple target components', 'items': {'type': 'dict', 'properties': {'id': {'type': 'string'}, 'state': {'type': 'str', 'position': 0, 'description': 'The state of this task', 'enum': ['RUNNING', 'DONE', 'EXCEPTION', 'TIMEOUT']}, 'target': {'type': 'dict', 'properties': {'exact': {'type': 'boolean'}, 'identifiers': {'type': 'dict', 'additionalProperties': {'type': 'string'}}}}, 'method': {'type': 'str', 'position': 0, 'description': 'The name of the invoked method'}, 'arguments': {'type': 'list', 'position': 0, 'description': 'The arguments used when invoking the method', 'items': {'type': 'object'}}, 'result': {'type': 'object'}, 'started': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was started'}, 'finished': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was finished. If task is still RUNNING, this is not set.'}, 'children': {'type': 'list', 'position': 0, 'description': 'A map of component identities and subtasks, if this task has spawned tasks for multiple target components', 'items': []}}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}, '409': {'description': 'Remote invocation failed'}}}