"""Autogenerated API schema"""
from argus_api import session


get_task = {'tags': ['componentadmin/v1'], 'summary': 'Fetch specified task (INTERNAL)', 'description': '', 'operationId': 'getTask', 'produces': ['application/json'], 'parameters': [{'name': 'id', 'in': 'path', 'description': 'ID of task to fetch', 'required': True, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'string'}, 'state': {'type': 'str', 'position': 0, 'description': 'The state of this task', 'enum': ['RUNNING', 'DONE', 'EXCEPTION', 'TIMEOUT']}, 'target': {'type': 'dict', 'properties': {'exact': {'type': 'boolean'}, 'identifiers': {'type': 'dict', 'additionalProperties': {'type': 'string'}}}}, 'method': {'type': 'str', 'position': 0, 'description': 'The name of the invoked method'}, 'arguments': {'type': 'list', 'position': 0, 'description': 'The arguments used when invoking the method', 'items': {'type': 'object'}}, 'result': {'type': 'object'}, 'started': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was started'}, 'finished': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was finished. If task is still RUNNING, this is not set.'}, 'children': {'type': 'list', 'position': 0, 'description': 'A map of component identities and subtasks, if this task has spawned tasks for multiple target components', 'items': {'type': 'dict', 'properties': {'id': {'type': 'string'}, 'state': {'type': 'str', 'position': 0, 'description': 'The state of this task', 'enum': ['RUNNING', 'DONE', 'EXCEPTION', 'TIMEOUT']}, 'target': {'type': 'dict', 'properties': {'exact': {'type': 'boolean'}, 'identifiers': {'type': 'dict', 'additionalProperties': {'type': 'string'}}}}, 'method': {'type': 'str', 'position': 0, 'description': 'The name of the invoked method'}, 'arguments': {'type': 'list', 'position': 0, 'description': 'The arguments used when invoking the method', 'items': {'type': 'object'}}, 'result': {'type': 'object'}, 'started': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was started'}, 'finished': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was finished. If task is still RUNNING, this is not set.'}, 'children': {'type': 'list', 'position': 0, 'description': 'A map of component identities and subtasks, if this task has spawned tasks for multiple target components', 'items': []}}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}}}
list_tasks = {'tags': ['componentadmin/v1'], 'summary': 'List current tasks for currentuser (INTERNAL)', 'description': '', 'operationId': 'listTasks', 'produces': ['application/json'], 'parameters': [], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'string'}, 'state': {'type': 'str', 'position': 0, 'description': 'The state of this task', 'enum': ['RUNNING', 'DONE', 'EXCEPTION', 'TIMEOUT']}, 'target': {'type': 'dict', 'properties': {'exact': {'type': 'boolean'}, 'identifiers': {'type': 'dict', 'additionalProperties': {'type': 'string'}}}}, 'method': {'type': 'str', 'position': 0, 'description': 'The name of the invoked method'}, 'arguments': {'type': 'list', 'position': 0, 'description': 'The arguments used when invoking the method', 'items': {'type': 'object'}}, 'result': {'type': 'object'}, 'started': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was started'}, 'finished': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was finished. If task is still RUNNING, this is not set.'}, 'children': {'type': 'list', 'position': 0, 'description': 'A map of component identities and subtasks, if this task has spawned tasks for multiple target components', 'items': {'type': 'dict', 'properties': {'id': {'type': 'string'}, 'state': {'type': 'str', 'position': 0, 'description': 'The state of this task', 'enum': ['RUNNING', 'DONE', 'EXCEPTION', 'TIMEOUT']}, 'target': {'type': 'dict', 'properties': {'exact': {'type': 'boolean'}, 'identifiers': {'type': 'dict', 'additionalProperties': {'type': 'string'}}}}, 'method': {'type': 'str', 'position': 0, 'description': 'The name of the invoked method'}, 'arguments': {'type': 'list', 'position': 0, 'description': 'The arguments used when invoking the method', 'items': {'type': 'object'}}, 'result': {'type': 'object'}, 'started': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was started'}, 'finished': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was finished. If task is still RUNNING, this is not set.'}, 'children': {'type': 'list', 'position': 0, 'description': 'A map of component identities and subtasks, if this task has spawned tasks for multiple target components', 'items': []}}}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}}}