"""Autogenerated API schema"""
from argus_api import session


clear_persistent_component = {'tags': ['development'], 'summary': 'Clear persistent component (DEV)', 'description': '', 'operationId': 'clearPersistentComponent', 'produces': ['application/json'], 'parameters': [{'name': 'host', 'in': 'path', 'description': 'Host ID or name', 'required': True, 'type': 'str'}, {'name': 'component', 'in': 'query', 'description': 'Component name', 'required': False, 'type': 'str'}, {'name': 'container', 'in': 'query', 'description': 'Container name', 'required': False, 'type': 'str'}, {'name': 'waitFor', 'in': 'query', 'description': 'Wait for completion of this task (milliseconds), default is 0 (no wait)', 'required': False, 'type': 'int', 'default': 0}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'allOf': [{'type': 'object'}, {'type': 'object'}]}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
compact_persistence = {'tags': ['development'], 'summary': 'Initiate persistence compaction on specified host (DEV)', 'description': '', 'operationId': 'persistenceCompaction', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'host', 'in': 'path', 'description': 'Host ID or name', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Persistence compaction request', 'required': False, 'schema': {'type': 'object', 'properties': {'waitFor': {'type': 'int', 'position': 0, 'description': 'The max amount of millis to wait for a success or exception response (default 0)', 'maximum': 60000, 'default': 0}}, 'description': 'Request to initiate persistence compaction'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'type': 'object'}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
fetch_instance_performance_data = {'tags': ['development'], 'summary': 'Fetch performance data for specified instance (DEV)', 'description': '', 'operationId': 'fetchInstancePerformanceData', 'produces': ['application/json'], 'parameters': [{'name': 'instance', 'in': 'path', 'description': 'ID of the instance to fetch performance data from', 'required': True, 'type': 'int'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'allOf': [{'type': 'object'}, {'type': 'object', 'properties': {'components': {'type': 'array', 'position': 0, 'description': 'List of fetched performance data', 'items': {'type': 'object', 'properties': {'componentID': {'type': 'string', 'format': 'uuid', 'position': 0, 'description': 'The ID of the component'}, 'componentName': {'type': 'string', 'position': 0, 'description': 'The name of the component'}, 'performanceData': {'type': 'array', 'position': 0, 'description': 'Set of performance data records', 'items': {'type': 'object', 'properties': {'timestamp': {'type': 'integer', 'format': 'int64', 'position': 0, 'description': 'Timestamp of the performance data record'}, 'value': {'type': 'integer', 'format': 'int64', 'position': 0, 'description': 'Value of the performance data record'}}}}}}}}}]}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
get_task_response = {'tags': ['development'], 'summary': 'Fetch status for specific task (DEV)', 'description': '', 'operationId': 'getTaskResponse', 'produces': ['application/json'], 'parameters': [{'name': 'taskID', 'in': 'path', 'description': 'ID of the task to fetch', 'required': True, 'type': 'str'}, {'name': 'waitFor', 'in': 'query', 'description': 'Wait for completion of this task (milliseconds), default is 0 (no wait)', 'required': False, 'type': 'int', 'default': 0}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'type': 'object'}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
host_install_all_components = {'tags': ['development'], 'summary': 'Install all instances on specified host (DEV)', 'description': '', 'operationId': 'hostInstallAll', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'host', 'in': 'path', 'description': 'Host ID or name', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Host install request', 'required': False, 'schema': {'type': 'object', 'description': 'Request to install all instances of the host'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'allOf': [{'type': 'object'}, {'type': 'object', 'properties': {'installationTasks': {'type': 'array', 'position': 0, 'description': 'Set of tasks to install on specified host', 'uniqueItems': True, 'items': {'type': 'string', 'format': 'uuid'}}}}]}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
host_restart_all_components = {'tags': ['development'], 'summary': 'Restart all instances on specified host (DEV)', 'description': '', 'operationId': 'hostRestartAll', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'host', 'in': 'path', 'description': 'Host ID or name', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Host restart request', 'required': False, 'schema': {'type': 'object', 'properties': {'waitFor': {'type': 'int', 'position': 0, 'description': 'The max amount of millis to wait for a success or exception response (default 0)', 'maximum': 60000, 'default': 0}}, 'description': 'Request to restart all targets on the host'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'allOf': [{'type': 'object'}, {'type': 'object'}]}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
host_uninstall_all = {'tags': ['development'], 'summary': 'Uninstall all instances on specified host (DEV)', 'description': '', 'operationId': 'hostUninstallAll', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'host', 'in': 'path', 'description': 'Host ID or name', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Host uninstall request', 'required': False, 'schema': {'type': 'object', 'properties': {'waitFor': {'type': 'int', 'position': 0, 'description': 'The max amount of millis to wait for a success or exception response (default 0)', 'maximum': 60000, 'default': 0}}, 'description': 'Request to uninstall all instances of the host'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'allOf': [{'type': 'object'}, {'type': 'object'}]}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
install_instance = {'tags': ['development'], 'summary': 'Install specified instance (DEV)', 'description': '', 'operationId': 'instanceInstall', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'instance', 'in': 'path', 'description': 'ID of the instance', 'required': True, 'type': 'int', 'minimum': 1}, {'in': 'body', 'name': 'body', 'description': 'Instance install request', 'required': False, 'schema': {'type': 'object', 'properties': {'waitFor': {'type': 'int', 'position': 0, 'description': 'The max amount of millis to wait for a success or exception response (default 0)', 'maximum': 60000, 'default': 0}}, 'description': 'Request to invoke instance install'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'allOf': [{'type': 'object'}, {'type': 'object'}]}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
instance_expire_cache = {'tags': ['development'], 'summary': 'Expire cache on resources on specified instance (DEV)', 'description': '', 'operationId': 'instanceExpireCache', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'instance', 'in': 'path', 'description': 'ID of the instance', 'required': True, 'type': 'int', 'minimum': 1}, {'in': 'body', 'name': 'body', 'description': 'Instance expire cache request', 'required': False, 'schema': {'type': 'object', 'properties': {'waitFor': {'type': 'int', 'position': 0, 'description': 'The max amount of millis to wait for a success or exception response (default 0)', 'maximum': 60000, 'default': 0}, 'resources': {'type': 'list', 'position': 0, 'description': 'Set of resources to expire', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['dataStore', 'reputation', 'alarm', 'eventFilter', 'geoIP', 'aggregator', 'customer', 'network', 'sensor']}}}, 'description': 'Request to expire data caches on components'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'allOf': [{'type': 'object'}, {'type': 'dict', 'properties': {'expiredResources': {'type': 'list', 'position': 0, 'description': 'Set of resources with expired cache', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['dataStore', 'reputation', 'alarm', 'eventFilter', 'geoIP']}}}}]}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
list_host_persistent_components = {'tags': ['development'], 'summary': 'List persistent components (DEV)', 'description': '', 'operationId': 'listHostPersistentComponents', 'produces': ['application/json'], 'parameters': [{'name': 'host', 'in': 'path', 'description': 'Host ID or name', 'required': True, 'type': 'str'}, {'name': 'waitFor', 'in': 'query', 'description': 'Wait for completion of this task (milliseconds), default is 0 (no wait)', 'required': False, 'type': 'int', 'default': 0}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'allOf': [{'type': 'object'}, {'type': 'dict', 'properties': {'persistentComponentRecords': {'type': 'list', 'position': 0, 'description': 'Set of listed persistent component records', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'hostID': {'type': 'int', 'position': 0, 'description': 'The ID of the host of the persistent component'}, 'containerName': {'type': 'str', 'position': 0, 'description': 'The name of the container of the persistent component'}, 'componentName': {'type': 'str', 'position': 0, 'description': 'The name of the persistent component'}}}}}}]}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
list_task_response = {'tags': ['development'], 'summary': 'List task status (DEV)', 'description': '', 'operationId': 'listTaskResponse', 'produces': ['application/json'], 'parameters': [{'name': 'limit', 'in': 'query', 'description': 'Limit response to this number of results (0 means unlimited)', 'required': False, 'type': 'int', 'default': 25}, {'name': 'offset', 'in': 'query', 'description': 'Skip the first results in the response (default is 0)', 'required': False, 'type': 'int', 'default': 0}, {'name': 'state', 'in': 'query', 'description': 'Filter response by status', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'collectionFormat': 'multi'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'type': 'object'}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
request_updated_host_status = {'tags': ['development'], 'summary': 'Request updated status of a specified host or instance (DEV)', 'description': '', 'operationId': 'requestUpdatedHostStatus', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'host', 'in': 'path', 'description': 'ID or name of the host', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Request updated host status request', 'required': False, 'schema': {'type': 'object', 'properties': {'waitFor': {'type': 'int', 'position': 0, 'description': 'The max amount of millis to wait for a success or exception response (default 0)', 'maximum': 60000, 'default': 0}, 'instanceID': {'type': 'int', 'position': 0, 'description': 'The ID of the instance from which to request updated status'}, 'includeComponents': {'type': 'bool', 'position': 0, 'description': 'If true, the components will be included'}}, 'description': 'Request to request updated host status'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'type': 'object'}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
restart_instance = {'tags': ['development'], 'summary': 'Restart specified instance (DEV)', 'description': '', 'operationId': 'instanceRestart', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'instance', 'in': 'path', 'description': 'ID of the instance', 'required': True, 'type': 'int', 'minimum': 1}, {'in': 'body', 'name': 'body', 'description': 'Instance restart request', 'required': False, 'schema': {'type': 'object', 'properties': {'waitFor': {'type': 'int', 'position': 0, 'description': 'The max amount of millis to wait for a success or exception response (default 0)', 'maximum': 60000, 'default': 0}}, 'description': 'Request to restart an instance'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'allOf': [{'type': 'object'}, {'type': 'object'}]}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
start_instance = {'tags': ['development'], 'summary': 'Start specified instance (DEV)', 'description': '', 'operationId': 'instanceStart', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'instance', 'in': 'path', 'description': 'ID of the instance', 'required': True, 'type': 'int', 'minimum': 1}, {'in': 'body', 'name': 'body', 'description': 'Instance start request', 'required': False, 'schema': {'type': 'object', 'properties': {'waitFor': {'type': 'int', 'position': 0, 'description': 'The max amount of millis to wait for a success or exception response (default 0)', 'maximum': 60000, 'default': 0}}, 'description': 'Request to start an instance'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'allOf': [{'type': 'object'}, {'type': 'object'}]}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
stop_instance = {'tags': ['development'], 'summary': 'Stop specified instance (DEV)', 'description': '', 'operationId': 'instanceStop', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'instance', 'in': 'path', 'description': 'ID of the instance', 'required': True, 'type': 'int', 'minimum': 1}, {'in': 'body', 'name': 'body', 'description': 'Instance stop request', 'required': False, 'schema': {'type': 'object', 'properties': {'waitFor': {'type': 'int', 'position': 0, 'description': 'The max amount of millis to wait for a success or exception response (default 0)', 'maximum': 60000, 'default': 0}}, 'description': 'Request to stop an instance'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'allOf': [{'type': 'object'}, {'type': 'object'}]}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
uninstall_instance = {'tags': ['development'], 'summary': 'Uninstall specified instance (DEV)', 'description': '', 'operationId': 'instanceUninstall', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'instance', 'in': 'path', 'description': 'ID of the instance', 'required': True, 'type': 'int', 'minimum': 1}, {'in': 'body', 'name': 'body', 'description': 'Instance uninstall request', 'required': False, 'schema': {'type': 'object', 'properties': {'waitFor': {'type': 'int', 'position': 0, 'description': 'The max amount of millis to wait for a success or exception response (default 0)', 'maximum': 60000, 'default': 0}}, 'description': 'Request to invoke instance uninstall'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'taskID': {'type': 'str', 'position': 0, 'description': 'The ID of this task'}, 'operation': {'type': 'str', 'position': 0, 'description': 'The name of the invoked operation.'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of this task. If state is failed/finished/timeout, the state is final.', 'enum': ['pending', 'executing', 'failed', 'finished', 'timeout']}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'exception': {'type': 'dict', 'properties': {'type': 'str', 'message': {'type': 'str', 'position': 0, 'description': 'The message of the exception'}}}, 'requestTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was requested/created.'}, 'executingTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task started executing (as reported by the client).'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the state of this task was last updated (from the client).'}, 'completeTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when this task was reported as completed (finished/failed).'}, 'response': {'allOf': [{'type': 'object'}, {'type': 'object'}]}, 'host': {'type': 'dict', 'properties': {'name': {'type': 'string'}, 'id': {'type': 'int'}}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}