"""Autogenerated API schema"""
from argus_api import session


add_property_descriptor = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Create a new property descriptor (PUBLIC)', 'description': '', 'operationId': 'addPropertyDescriptor', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Add request', 'required': False, 'schema': {'type': 'object', 'required': ['key', 'localizedDescriptions', 'section', 'type'], 'properties': {'key': {'type': 'str', 'position': 0, 'description': 'Key of the new property descriptor => [a-zA-Z0-9_:\\-\\.]*'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Property descriptor descriptions mapped by language. Supported languages are: english, norwegian. Description in English is required.', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Property descriptor names mapped by language. Supported languages are: english, norwegian. If no name is set, this defaults to the property key', 'additionalProperties': {'type': 'string'}}, 'section': {'type': 'str', 'position': 0, 'description': 'Section of the property.', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}, 'defaultValue': {'type': 'object'}, 'type': {'type': 'str', 'position': 0, 'description': 'Type of the property.', 'enum': ['stringType', 'floatType', 'integerType', 'jsonType', 'booleanType', 'enumType']}, 'schema': {'type': 'object'}, 'readFunction': {'type': 'str', 'position': 0, 'description': 'The function required to read this property for a customer (default is viewCustomers).'}, 'writeFunction': {'type': 'str', 'position': 0, 'description': 'The function required to write this property for a customer (default is updateCustomer).'}, 'externallyManaged': {'type': 'bool', 'position': 0, 'description': 'If true, mark this property as externally managed.'}, 'hidden': {'type': 'bool', 'position': 0, 'description': 'If true, this property will be hidden in the UI.'}}, 'description': 'Request to add new property descriptor.'}}], 'responses': {'201': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'Property descriptor id'}, 'key': {'type': 'str', 'position': 0, 'description': 'Property descriptor key'}, 'description': {'type': 'str', 'position': 0, 'description': 'Property descriptor description in English'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Property descriptor description based on the current user's language settings"}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Property name based on the current user's language settings"}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor descriptions', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor names', 'additionalProperties': {'type': 'string'}}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was created'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was last updated'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was deleted'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'deprecated', 'externallyManaged', 'hidden']}}, 'defaultValue': {'type': 'str', 'position': 0, 'description': 'Default value of the property descriptor (in string format)'}, 'defaultJsonValue': {'type': 'object'}, 'section': {'type': 'str', 'position': 0, 'description': 'Section of the property descriptor', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'soar', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}, 'type': 'str', 'jsonSchema': {'type': 'object'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'options': ['stringType', 'floatType', 'integerType', 'jsonType', 'booleanType', 'enumType']}, 'description': 'Property Descriptor with key, default value, type, and other data'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
add_property_descriptor_enum_entry = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Create a new property descriptor enum entry (PUBLIC)', 'description': '', 'operationId': 'addPropertyDescriptorEnumEntry', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'idOrKey', 'in': 'path', 'description': 'Id or key of the descriptor', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Add request', 'required': False, 'schema': {'type': 'object', 'required': ['localizedDescriptions', 'localizedValues', 'value'], 'properties': {'value': {'type': 'str', 'position': 0, 'description': 'Value of the new enum entry => [a-zA-Z0-9_:\\-\\.]*'}, 'localizedValues': {'type': 'dict', 'position': 0, 'description': 'Property descriptor enum values mapped by language. Supported languages are: english, norwegian. Value in English is required.', 'additionalProperties': {'type': 'string'}}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Property descriptor enum value descriptions mapped by language. Supported languages are: english, norwegian. Description in English is required.', 'additionalProperties': {'type': 'string'}}}, 'description': 'Request to add new property descriptor enum entry.'}}], 'responses': {'201': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'propertyDescriptorId': {'type': 'str', 'position': 0, 'description': 'Property descriptor UUID.'}, 'value': {'type': 'str', 'position': 0, 'description': 'Property descriptor enum value name in English.'}, 'localizedValue': {'type': 'str', 'position': 0, 'description': "Property descriptor description enum value based on the current user's language settings."}, 'localizedValues': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor enum value names', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'Property descriptor enum value description in English.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Property descriptor description enum value based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor enum value descriptions', 'additionalProperties': {'type': 'string'}}}, 'description': 'Property Descriptor enum entry.'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
delete_property_descriptor = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Delete a property descriptor (PUBLIC)', 'description': '', 'operationId': 'deletePropertyDescriptor', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'idOrKey', 'in': 'path', 'description': 'Property descriptor UUID or key', 'required': True, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'Property descriptor id'}, 'key': {'type': 'str', 'position': 0, 'description': 'Property descriptor key'}, 'description': {'type': 'str', 'position': 0, 'description': 'Property descriptor description in English'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Property descriptor description based on the current user's language settings"}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Property name based on the current user's language settings"}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor descriptions', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor names', 'additionalProperties': {'type': 'string'}}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was created'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was last updated'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was deleted'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'deprecated', 'externallyManaged', 'hidden']}}, 'defaultValue': {'type': 'str', 'position': 0, 'description': 'Default value of the property descriptor (in string format)'}, 'defaultJsonValue': {'type': 'object'}, 'section': {'type': 'str', 'position': 0, 'description': 'Section of the property descriptor', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'soar', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}, 'type': 'str', 'jsonSchema': {'type': 'object'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'options': ['stringType', 'floatType', 'integerType', 'jsonType', 'booleanType', 'enumType']}, 'description': 'Property Descriptor with key, default value, type, and other data'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
delete_property_descriptor_enum_entry = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Delete a property descriptor enum entry (PUBLIC)', 'description': '', 'operationId': 'deletePropertyDescriptorEnumEntry', 'produces': ['application/json'], 'parameters': [{'name': 'idOrKey', 'in': 'path', 'description': 'Property descriptor UUID or key', 'required': True, 'type': 'str'}, {'name': 'idOrValue', 'in': 'path', 'description': 'Property descriptor enum entry UUID or value', 'required': True, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'Property descriptor id'}, 'key': {'type': 'str', 'position': 0, 'description': 'Property descriptor key'}, 'description': {'type': 'str', 'position': 0, 'description': 'Property descriptor description in English'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Property descriptor description based on the current user's language settings"}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Property name based on the current user's language settings"}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor descriptions', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor names', 'additionalProperties': {'type': 'string'}}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was created'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was last updated'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was deleted'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'deprecated', 'externallyManaged', 'hidden']}}, 'defaultValue': {'type': 'str', 'position': 0, 'description': 'Default value of the property descriptor (in string format)'}, 'defaultJsonValue': {'type': 'object'}, 'section': {'type': 'str', 'position': 0, 'description': 'Section of the property descriptor', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'soar', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}, 'type': 'str', 'jsonSchema': {'type': 'object'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'options': ['stringType', 'floatType', 'integerType', 'jsonType', 'booleanType', 'enumType']}, 'description': 'Property Descriptor with key, default value, type, and other data'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
get_property_descriptor = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Returns a property descriptor identified by its UUID or key (PUBLIC)', 'description': '', 'operationId': 'getPropertyDescriptor', 'produces': ['application/json'], 'parameters': [{'name': 'idOrKey', 'in': 'path', 'description': 'Property descriptor UUID or key', 'required': True, 'type': 'str'}, {'name': 'includeSchema', 'in': 'query', 'description': 'Include JSONSchema, defaults to false', 'required': False, 'type': 'bool'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'Property descriptor id'}, 'key': {'type': 'str', 'position': 0, 'description': 'Property descriptor key'}, 'description': {'type': 'str', 'position': 0, 'description': 'Property descriptor description in English'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Property descriptor description based on the current user's language settings"}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Property name based on the current user's language settings"}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor descriptions', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor names', 'additionalProperties': {'type': 'string'}}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was created'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was last updated'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was deleted'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'deprecated', 'externallyManaged', 'hidden']}}, 'defaultValue': {'type': 'str', 'position': 0, 'description': 'Default value of the property descriptor (in string format)'}, 'defaultJsonValue': {'type': 'object'}, 'section': {'type': 'str', 'position': 0, 'description': 'Section of the property descriptor', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'soar', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}, 'type': 'str', 'jsonSchema': {'type': 'object'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'options': ['stringType', 'floatType', 'integerType', 'jsonType', 'booleanType', 'enumType']}, 'description': 'Property Descriptor with key, default value, type, and other data'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
get_property_descriptor_json_schema = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Returns JSON Schema for a property descriptor identified by its UUID or key. (PUBLIC)', 'description': '', 'operationId': 'getPropertyDescriptorJsonSchema', 'produces': ['application/json'], 'parameters': [{'name': 'idOrKey', 'in': 'path', 'description': 'Property descriptor UUID or key', 'required': True, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'object'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
list_property_descriptor_enum_entries = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Returns property descriptor enum entries defined by query parameters (PUBLIC)', 'description': '', 'operationId': 'listPropertyDescriptorEnumEntries', 'produces': ['application/json'], 'parameters': [{'name': 'idOrKey', 'in': 'path', 'description': 'Property descriptor UUID or key', 'required': True, 'type': 'str'}, {'name': 'offset', 'in': 'query', 'description': 'By how many records to offset results', 'required': False, 'type': 'int', 'default': 0, 'minimum': 0}, {'name': 'limit', 'in': 'query', 'description': 'Maximum number of returned results', 'required': False, 'type': 'int', 'default': 25, 'minimum': 0}, {'name': 'keywords', 'in': 'query', 'description': 'Search by keyword', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'sortBy', 'in': 'query', 'description': 'Sort search result', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['value', '-value']}, 'collectionFormat': 'multi'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'propertyDescriptorId': {'type': 'str', 'position': 0, 'description': 'Property descriptor UUID.'}, 'value': {'type': 'str', 'position': 0, 'description': 'Property descriptor enum value name in English.'}, 'localizedValue': {'type': 'str', 'position': 0, 'description': "Property descriptor description enum value based on the current user's language settings."}, 'localizedValues': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor enum value names', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'Property descriptor enum value description in English.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Property descriptor description enum value based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor enum value descriptions', 'additionalProperties': {'type': 'string'}}}, 'description': 'Property Descriptor enum entry.'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
list_property_descriptors = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Returns property descriptors defined by query parameters (PUBLIC)', 'description': '', 'operationId': 'listPropertyDescriptors', 'produces': ['application/json'], 'parameters': [{'name': 'offset', 'in': 'query', 'description': 'By how many records to offset results', 'required': False, 'type': 'int', 'default': 0, 'minimum': 0}, {'name': 'limit', 'in': 'query', 'description': 'Maximum number of returned results', 'required': False, 'type': 'int', 'default': 25, 'minimum': 0}, {'name': 'keywords', 'in': 'query', 'description': 'Search by keyword', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'section', 'in': 'query', 'description': 'Search by section', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}, 'collectionFormat': 'multi'}, {'name': 'sortBy', 'in': 'query', 'description': 'Sort search result', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['key', 'section', 'type', 'createdTimestamp', 'lastUpdatedTimestamp', 'deletedTimestamp', '-key', '-section', '-type', '-createdTimestamp', '-lastUpdatedTimestamp', '-deletedTimestamp']}, 'collectionFormat': 'multi'}, {'name': 'includeSchema', 'in': 'query', 'description': 'Set to true to include schema in response.', 'required': False, 'type': 'bool', 'default': False}, {'name': 'includeDeleted', 'in': 'query', 'description': 'Set to true to include deleted objects. By default, exclude deleted objects.', 'required': False, 'type': 'bool', 'default': False}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'Property descriptor id'}, 'key': {'type': 'str', 'position': 0, 'description': 'Property descriptor key'}, 'description': {'type': 'str', 'position': 0, 'description': 'Property descriptor description in English'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Property descriptor description based on the current user's language settings"}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Property name based on the current user's language settings"}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor descriptions', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor names', 'additionalProperties': {'type': 'string'}}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was created'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was last updated'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was deleted'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'deprecated', 'externallyManaged', 'hidden']}}, 'defaultValue': {'type': 'str', 'position': 0, 'description': 'Default value of the property descriptor (in string format)'}, 'defaultJsonValue': {'type': 'object'}, 'section': {'type': 'str', 'position': 0, 'description': 'Section of the property descriptor', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'soar', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}, 'type': 'str', 'jsonSchema': {'type': 'object'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'options': ['stringType', 'floatType', 'integerType', 'jsonType', 'booleanType', 'enumType']}, 'description': 'Property Descriptor with key, default value, type, and other data'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
search_property_descriptor = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Returns property descriptors defined by SearchPropertyDescriptorRequest (PUBLIC)', 'description': '', 'operationId': 'searchPropertyDescriptor', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Search criteria', 'required': False, 'schema': {'type': 'object', 'properties': {'section': {'type': 'list', 'position': 0, 'description': 'Restrict search to a section.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}}, 'type': {'type': 'list', 'position': 0, 'description': 'Restrict search to a type.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['stringType', 'floatType', 'integerType', 'jsonType', 'booleanType', 'enumType']}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'Only include objects which have includeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'Exclude objects which have excludeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated']}}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Search for property descriptor by keywords. Searches through keys and default values.', 'uniqueItems': True, 'items': {'type': 'string'}}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional criteria', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'section': {'type': 'list', 'position': 0, 'description': 'Restrict search to a section.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}}, 'type': 'list', 'includeFlags': {'type': 'list', 'position': 0, 'description': 'Only include objects which have includeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'Exclude objects which have excludeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated']}}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Search for property descriptor by keywords. Searches through keys and default values.', 'uniqueItems': True, 'items': {'type': 'string'}}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional criteria', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'section': {'type': 'list', 'position': 0, 'description': 'Restrict search to a section.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}}, 'type': 'list', 'includeFlags': {'type': 'list', 'position': 0, 'description': 'Only include objects which have includeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'Exclude objects which have excludeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated']}}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Search for property descriptor by keywords. Searches through keys and default values.', 'uniqueItems': True, 'items': {'type': 'string'}}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional criteria', 'uniqueItems': True, 'items': []}, 'required': {'type': 'bool', 'position': 0, 'description': 'Is this subcriteria required? If true the search is AND-ed (default false)', 'default': False}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'Is this subcriteria required? If true the search is NOT-ed (default false)', 'default': False}}, 'description': 'Property Descriptor search by criteria subcriteria request.'}}, 'required': {'type': 'bool', 'position': 0, 'description': 'Is this subcriteria required? If true the search is AND-ed (default false)', 'default': False}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'Is this subcriteria required? If true the search is NOT-ed (default false)', 'default': False}}, 'description': 'Property Descriptor search by criteria subcriteria request.'}}, 'includeDeleted': {'type': 'bool', 'position': 0, 'description': 'Set to true to include deleted objects. By default, exclude deleted objects. (default false)', 'default': False}, 'includeSchema': {'type': 'bool', 'position': 0, 'description': 'If true, include schema of descriptors in response (default false)', 'default': False}, 'limit': {'type': 'int', 'position': 0, 'description': 'Max number of results.', 'minimum': 0}, 'offset': {'type': 'int', 'position': 0, 'description': 'Skip the first (offset) objects. By default, return result from first object.', 'minimum': 0}, 'sortBy': {'type': 'list', 'position': 0, 'description': 'Field to sort result by, use - to sort in desc order. (default key)', 'items': {'type': 'str', 'enum': ['key', 'section', 'type', 'createdTimestamp', 'lastUpdatedTimestamp', 'deletedTimestamp', '-key', '-section', '-type', '-createdTimestamp', '-lastUpdatedTimestamp', '-deletedTimestamp']}}}, 'description': 'Property Descriptor search by criteria request.'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'Property descriptor id'}, 'key': {'type': 'str', 'position': 0, 'description': 'Property descriptor key'}, 'description': {'type': 'str', 'position': 0, 'description': 'Property descriptor description in English'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Property descriptor description based on the current user's language settings"}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Property name based on the current user's language settings"}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor descriptions', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor names', 'additionalProperties': {'type': 'string'}}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was created'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was last updated'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was deleted'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'deprecated', 'externallyManaged', 'hidden']}}, 'defaultValue': {'type': 'str', 'position': 0, 'description': 'Default value of the property descriptor (in string format)'}, 'defaultJsonValue': {'type': 'object'}, 'section': {'type': 'str', 'position': 0, 'description': 'Section of the property descriptor', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'soar', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}, 'type': 'str', 'jsonSchema': {'type': 'object'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'options': ['stringType', 'floatType', 'integerType', 'jsonType', 'booleanType', 'enumType']}, 'description': 'Property Descriptor with key, default value, type, and other data'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
search_property_descriptor_enum_entries = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Returns property descriptors defined by SearchPropertyDescriptorEnumEntryRequest (PUBLIC)', 'description': '', 'operationId': 'searchPropertyDescriptorEnumEntries', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'idOrKey', 'in': 'path', 'description': 'Property descriptor UUID or key', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Search criteria', 'required': False, 'schema': {'type': 'object', 'properties': {'keywords': {'type': 'list', 'position': 0, 'description': 'Search for property descriptor by keywords. Searches through keys and default values.', 'uniqueItems': True, 'items': {'type': 'string'}}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional criteria', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'keywords': {'type': 'list', 'position': 0, 'description': 'Search for property descriptor by keywords. Searches through keys and default values.', 'uniqueItems': True, 'items': {'type': 'string'}}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional criteria', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'keywords': {'type': 'list', 'position': 0, 'description': 'Search for property descriptor by keywords. Searches through keys and default values.', 'uniqueItems': True, 'items': {'type': 'string'}}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional criteria', 'uniqueItems': True, 'items': []}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Defines the MatchStrategy for keywords (default match all keywords).', 'enum': ['any', 'all']}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'Defines which fields will be searched by keywords (default all supported fields).', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['value', 'name', 'description', 'all']}}, 'required': {'type': 'bool', 'position': 0, 'description': 'Is this subcriteria required? If true the search is AND-ed (default false)', 'default': False}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'Is this subcriteria required? If true the search is NOT-ed (default false)', 'default': False}}, 'description': 'Property Descriptor enum entry search by criteria subcriteria request.'}}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Defines the MatchStrategy for keywords (default match all keywords).', 'enum': ['any', 'all']}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'Defines which fields will be searched by keywords (default all supported fields).', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['value', 'name', 'description', 'all']}}, 'required': {'type': 'bool', 'position': 0, 'description': 'Is this subcriteria required? If true the search is AND-ed (default false)', 'default': False}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'Is this subcriteria required? If true the search is NOT-ed (default false)', 'default': False}}, 'description': 'Property Descriptor enum entry search by criteria subcriteria request.'}}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Defines the MatchStrategy for keywords (default match all keywords).', 'enum': ['any', 'all']}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'Defines which fields will be searched by keywords (default all supported fields).', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['value', 'name', 'description', 'all']}}, 'limit': {'type': 'int', 'position': 0, 'description': 'Max number of results.', 'minimum': 0}, 'offset': {'type': 'int', 'position': 0, 'description': 'Skip the first (offset) objects. By default, return result from first object.', 'minimum': 0}, 'sortBy': {'type': 'list', 'position': 0, 'description': 'Field to sort result by, use - to sort in desc order. (default key)', 'items': {'type': 'str', 'enum': ['value', '-value']}}}, 'description': 'Property Descriptor enum entry search by criteria request.'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'propertyDescriptorId': {'type': 'str', 'position': 0, 'description': 'Property descriptor UUID.'}, 'value': {'type': 'str', 'position': 0, 'description': 'Property descriptor enum value name in English.'}, 'localizedValue': {'type': 'str', 'position': 0, 'description': "Property descriptor description enum value based on the current user's language settings."}, 'localizedValues': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor enum value names', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'Property descriptor enum value description in English.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Property descriptor description enum value based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor enum value descriptions', 'additionalProperties': {'type': 'string'}}}, 'description': 'Property Descriptor enum entry.'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
update_property_descriptor = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Update a property descriptor object. (PUBLIC)', 'description': '', 'operationId': 'updatePropertyDescriptor', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'idOrKey', 'in': 'path', 'description': 'Property descriptor UUID or key', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Update request', 'required': False, 'schema': {'type': 'object', 'properties': {'localizedNames': {'type': 'dict', 'position': 0, 'description': 'If set, update the localized names of the property.', 'additionalProperties': {'type': 'string'}}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'If set, update the localized descriptions of the property.', 'additionalProperties': {'type': 'string'}}, 'section': {'type': 'str', 'position': 0, 'description': 'If set, change the section of the property.', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}, 'defaultValue': {'type': 'object'}, 'type': {'type': 'str', 'position': 0, 'description': 'If set, update the type of the property.', 'enum': ['stringType', 'floatType', 'integerType', 'jsonType', 'booleanType', 'enumType']}, 'schema': {'type': 'object'}, 'deprecated': {'type': 'bool', 'position': 0, 'description': 'If set, change the deprecated flag. (default null)', 'default': False}, 'readFunction': {'type': 'str', 'position': 0, 'description': 'If set, change the function required to read this property for a customer.'}, 'writeFunction': {'type': 'str', 'position': 0, 'description': 'If set, change the function required to write this property for a customer.'}, 'externallyManaged': {'type': 'bool', 'position': 0, 'description': 'If set, change the externally managed flag.'}, 'hidden': {'type': 'bool', 'position': 0, 'description': 'If set, change the hidden flag.'}}, 'description': 'Request to update a property descriptor identified by key or uuid.'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'Property descriptor id'}, 'key': {'type': 'str', 'position': 0, 'description': 'Property descriptor key'}, 'description': {'type': 'str', 'position': 0, 'description': 'Property descriptor description in English'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Property descriptor description based on the current user's language settings"}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Property name based on the current user's language settings"}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor descriptions', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor names', 'additionalProperties': {'type': 'string'}}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'deletedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name"}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name"}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'flags': {'type': 'list', 'position': 0, 'description': "The subject's flags", 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'type': 'str', 'options': ['user', 'group']}, 'description': 'SPI UserInfo'}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was created'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was last updated'}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When the property descriptor was deleted'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'deprecated', 'externallyManaged', 'hidden']}}, 'defaultValue': {'type': 'str', 'position': 0, 'description': 'Default value of the property descriptor (in string format)'}, 'defaultJsonValue': {'type': 'object'}, 'section': {'type': 'str', 'position': 0, 'description': 'Section of the property descriptor', 'enum': ['general', 'sla', 'analysis', 'aer', 'ama', 'ala', 'alc', 'irt', 'securedns', 'policy', 'integrations', 'soar', 'notification', 'reporting', 'services', 'products', 'authentication', 'other', 'hidden']}, 'type': 'str', 'jsonSchema': {'type': 'object'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'options': ['stringType', 'floatType', 'integerType', 'jsonType', 'booleanType', 'enumType']}, 'description': 'Property Descriptor with key, default value, type, and other data'}}}}, '220': {'description': 'No update performed'}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
update_property_descriptor_enum_entry = {'tags': ['customeradmin/v2/propertydescriptor'], 'summary': 'Update a property descriptor enum entry object. (PUBLIC)', 'description': '', 'operationId': 'updatePropertyDescriptorEnumEntry', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'idOrKey', 'in': 'path', 'description': 'Property descriptor UUID or key', 'required': True, 'type': 'str'}, {'name': 'idOrValue', 'in': 'path', 'description': 'Enum entry UUID or value', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Update request', 'required': False, 'schema': {'type': 'object', 'properties': {'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Descriptions. Mapped by language.', 'additionalProperties': {'type': 'string'}}, 'localizedValues': {'type': 'dict', 'position': 0, 'description': 'Values. Mapped by language. Note: English value updates only translation and not the value used for fetching the entry.', 'additionalProperties': {'type': 'string'}}}, 'description': "Request to update a property descriptor enum entry identified by the descriptor id or key and entry's value or id"}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'propertyDescriptorId': {'type': 'str', 'position': 0, 'description': 'Property descriptor UUID.'}, 'value': {'type': 'str', 'position': 0, 'description': 'Property descriptor enum value name in English.'}, 'localizedValue': {'type': 'str', 'position': 0, 'description': "Property descriptor description enum value based on the current user's language settings."}, 'localizedValues': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor enum value names', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'Property descriptor enum value description in English.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Property descriptor description enum value based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available property descriptor enum value descriptions', 'additionalProperties': {'type': 'string'}}}, 'description': 'Property Descriptor enum entry.'}}}}, '220': {'description': 'No update performed'}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}