"""Autogenerated API schema"""
from argus_api import session


get_events_for_case = {'tags': ['events/v1'], 'summary': 'Fetch events associated with specified case (PUBLIC)', 'description': 'Fetch events associated with case that has ID specified in the url, it will also figure out which cases have been merged into the specified case,and fetch events for those merged cases as well.\nResult of events will be sorted by event start timestamp in descending order.', 'operationId': 'getEventsForCase', 'produces': ['application/json', 'text/csv'], 'parameters': [{'name': 'Accept', 'in': 'header', 'required': False, 'type': 'string'}, {'name': 'caseID', 'in': 'path', 'description': 'Case ID', 'required': True, 'type': 'int', 'minimum': 1}, {'name': 'limit', 'in': 'query', 'description': 'Maximum number of returned results, 0 is everything', 'required': False, 'type': 'int', 'default': 25, 'minimum': 0}, {'name': 'offset', 'in': 'query', 'description': 'Skip a number of results', 'required': False, 'type': 'int', 'default': 0, 'minimum': 0}, {'name': 'sortBy', 'in': 'query', 'description': 'List of properties to sort by (prefix with "-" to sort descending).Only accepts timestamp and -timestamp.If no value is given, it defaults to sorting by descending timestamp.', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'includeRawEvents', 'in': 'query', 'description': 'If the result should include raw events. Defaults to false.', 'required': False, 'type': 'bool', 'default': False}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'associatedCase': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'subject': {'type': 'string'}, 'categoryID': {'type': 'int'}, 'categoryName': {'type': 'string'}, 'service': {'type': 'string'}, 'status': {'type': 'str', 'enum': ['ATTACHMENT_ADDED', 'PENDING_CUSTOMER', 'PENDING_SOC', 'PENDING_VENDOR', 'WORKING_SOC', 'WORKING_CUSTOMER', 'PENDING_CLOSE', 'CLOSED']}, 'priority': {'type': 'str', 'enum': ['low', 'medium', 'high', 'critical']}}}, 'protocol': {'type': 'string'}, 'flags': {'type': 'list', 'readOnly': True, 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ESTABLISHED', 'BLOCKED', 'SNAPSHOT', 'FINALIZED', 'SOURCE_IS_CUSTOMERNET', 'DESTINATION_IS_CUSTOMERNET', 'SOURCE_IS_PARTIAL_CUSTOMERNET', 'DESTINATION_IS_PARTIAL_CUSTOMERNET', 'INTRUDER_IS_CUSTOMERNET', 'VICTIM_IS_CUSTOMERNET', 'INTRUDER_IS_PARTIAL_CUSTOMERNET', 'VICTIM_IS_PARTIAL_CUSTOMERNET', 'PARTIALLY_BLOCKED', 'FALSE_POSITIVE', 'NOT_A_THREAT', 'TUNING_CANDIDATE', 'NOTIFIED', 'PARTIALLY_NOTIFIED', 'FOLLOWUP', 'IDENTIFIED_THREAT', 'THREAT_CANDIDATE', 'ACKNOWLEDGED', 'PARTIALLY_ACKNOWLEDGED', 'SEVERITY_ADJUSTED', 'COMMENTED', 'FILTERED', 'CHECKED', 'INCOMPLETE_DETAILS', 'AGGREGATED_BASE_EVENT', 'REMOTE_STORAGE', 'CUSTOM_SOURCE_AGGREGATION', 'CUSTOM_DESTINATION_AGGREGATION', 'CUSTOM_INTRUDER_AGGREGATION', 'CUSTOM_VICTIM_AGGREGATION', 'HAS_DETAILS', 'HAS_PAYLOAD', 'HAS_PCAP', 'ASSOCIATED_TO_CASE_BY_FILTER', 'SEVERITY_INCREASED_BY_FILTER', 'SEVERITY_REDUCED_BY_FILTER', 'CREATED_BY_ANALYSIS_FILTER', 'EXTEND_EVENT_TTL', 'INITIAL_TUNING', 'POST_ANALYSIS', 'PARTIAL_SSL_TERMINATED', 'SSL_TERMINATED', 'AUTO_REPORT', 'MISSING_TIMESTAMP', 'CLOCK_OUT_OF_SYNC', 'DROP_ANALYSIS', 'ESCALATED_BY_REPUTATION', 'HAS_SAMPLE', 'STORE_EVENT', 'STORE_AGGREGATED', 'SOURCE_IS_MANAGED_BY_SOC', 'DESTINATION_IS_MANAGED_BY_SOC', 'HANDLED_BY_ANALYST', 'SLA_VIOLATION', 'PAYLOAD_TRUNCATED', 'HAS_STRING_PAYLOAD', 'REASSESSED', 'NOTIFIED_UNPUBLISHED', 'NOTIFIED_DELETED']}}, 'severity': {'type': 'str', 'readOnly': True, 'enum': ['low', 'medium', 'high', 'critical']}, 'detailedEventIDS': {'type': 'list', 'readOnly': True, 'uniqueItems': True, 'items': {'type': 'string'}}, 'id': {'type': 'str', 'xml': {'attribute': True}, 'readOnly': True}, 'customerInfo': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'shortName': {'type': 'string'}, 'name': {'type': 'string'}}}, 'properties': {'type': 'dict', 'position': 0, 'description': 'Dynamic list of properties related to the event', 'additionalProperties': {'type': 'string'}}, 'comments': {'type': 'list', 'position': 0, 'description': 'User, or agent, generated comments for the event', 'items': {'type': 'dict', 'properties': {'timestamp': {'type': 'int', 'position': 0, 'description': 'When the comment was added.'}, 'user': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}, 'type': 'str', 'options': ['user', 'group']}}, 'comment': {'type': 'str', 'position': 0, 'description': "The comment's text."}}}}, 'associatedCases': {'type': 'list', 'position': 0, 'description': 'Case information for the cases associated to the event.', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'subject': {'type': 'string'}, 'categoryID': {'type': 'int'}, 'categoryName': {'type': 'string'}, 'service': {'type': 'string'}, 'status': {'type': 'str', 'enum': ['ATTACHMENT_ADDED', 'PENDING_CUSTOMER', 'PENDING_SOC', 'PENDING_VENDOR', 'WORKING_SOC', 'WORKING_CUSTOMER', 'PENDING_CLOSE', 'CLOSED']}, 'priority': {'type': 'str', 'enum': ['low', 'medium', 'high', 'critical']}}}}, 'location': {'type': 'dict', 'properties': {'shortName': {'type': 'string'}, 'name': {'type': 'string'}, 'timeZone': {'type': 'string'}, 'id': {'type': 'int'}}}, 'attackInfo': {'type': 'dict', 'properties': {'alarmID': {'type': 'int'}, 'alarmDescription': {'type': 'string'}, 'attackCategoryID': {'type': 'int'}, 'attackCategoryName': {'type': 'string'}, 'signature': {'type': 'string'}}}, 'domain': {'type': 'dict', 'properties': {'fqdn': {'type': 'string'}}}, 'uri': {'type': 'str', 'position': 0, 'description': 'URI of the event'}, 'count': {'type': 'int', 'position': 0, 'description': 'Number of observations for this aggregate'}, 'source': {'type': 'dict', 'properties': {'port': {'type': 'int'}, 'geoLocation': {'type': 'dict', 'properties': {'countryCode': {'type': 'string'}, 'countryName': {'type': 'string'}, 'locationName': {'type': 'string'}, 'latitude': {'type': 'float'}, 'longitude': {'type': 'float'}}}, 'networkAddress': {'type': 'dict', 'properties': {'public': {'type': 'boolean'}, 'ipv6': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'maskBits': {'type': 'int'}, 'host': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'multicast': {'type': 'boolean'}, 'address': {'type': 'str', 'xml': {'attribute': True}, 'readOnly': True}}}}}, 'destination': {'type': 'dict', 'properties': {'port': {'type': 'int'}, 'geoLocation': {'type': 'dict', 'properties': {'countryCode': {'type': 'string'}, 'countryName': {'type': 'string'}, 'locationName': {'type': 'string'}, 'latitude': {'type': 'float'}, 'longitude': {'type': 'float'}}}, 'networkAddress': {'type': 'dict', 'properties': {'public': {'type': 'boolean'}, 'ipv6': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'maskBits': {'type': 'int'}, 'host': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'multicast': {'type': 'boolean'}, 'address': {'type': 'str', 'xml': {'attribute': True}, 'readOnly': True}}}}}, 'timestamp': {'type': 'int', 'position': 0, 'description': 'The time the event happened.'}, 'startTimestamp': {'type': 'int', 'position': 0, 'description': 'First observed event for this aggregate'}, 'endTimestamp': {'type': 'int', 'position': 0, 'description': 'Last observed event for this aggregate'}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'Last update for the aggregated event'}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation failed'}}}