"""Autogenerated API schema"""
from argus_api import session


add_metric_descriptor = {'tags': ['metrics/v1'], 'summary': 'Add new metric descriptor. (INTERNAL)', 'description': '', 'operationId': 'addMetricDescriptor', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Metric descriptor add request', 'required': False, 'schema': {'type': 'object', 'required': ['adminFunction', 'deduplicationFunction', 'description', 'keys', 'readFunction', 'shortName', 'values', 'writeFunction'], 'properties': {'domain': {'type': 'str', 'position': 0, 'description': 'ID or shortname of domain bound to this metric descriptor. (default Current user domain)'}, 'customer': {'type': 'str', 'position': 0, 'description': 'ID or shortname of customer bound to this metric descriptor. If not specified, descriptor is domain global'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the metric descriptor. Must be unique per domain. => [a-zA-Z0-9_:\\-\\.]*'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric descriptor. Does not need to be unique.'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the metric descriptor. => [\\s\\w\\{\\}\\$\\-\\(\\)\\.\\[\\]"\\\'_/\\\\,\\*\\+\\#:@!?;=]*'}, 'category': {'type': 'str', 'position': 0, 'description': 'Category of metric descriptor (default other)', 'enum': ['CASE', 'EVENT', 'ASSET', 'SAMPLE', 'OTHER']}, 'readFunction': {'type': 'str', 'position': 0, 'description': 'Function required to fetch metric descriptor and associated records.'}, 'writeFunction': {'type': 'str', 'position': 0, 'description': 'Function required to submit metric record.'}, 'adminFunction': {'type': 'str', 'position': 0, 'description': 'Function required to update this metric descriptor.'}, 'keys': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric keys.', 'items': {'type': 'dict', 'required': ['language', 'name', 'translator', 'type'], 'properties': {'name': {'type': 'str', 'position': 0, 'description': "Name of the metric key. Will be validated against a list of reserved names, which include 'customer'. => [a-zA-Z0-9_:\\-\\.]*"}, 'type': 'str', 'translator': {'type': 'str', 'position': 0, 'description': 'Translator that can be used for the key value. (default none)', 'enum': ['none', 'caseCategory', 'componentHostName', 'eventFilter', 'sensorHostName', 'sensorType', 'serviceName', 'monthOfYear', 'dayOfWeek', 'assetName', 'alarmName', 'hourOfDay', 'casePriority', 'assetGroup', 'vulnerabilityIdentifier']}, 'language': {'type': 'str', 'position': 0, 'description': 'Language of the translation used on the key value. (default ENGLISH)', 'enum': ['english', 'norwegian']}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the key. (default Empty String)'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor key descriptions mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor key names mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}, 'options': ['ip', 'hostName', 'integer', 'string', 'uuid']}}, 'maxItems': 2147483647, 'minItems': 1}, 'values': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric values.', 'items': {'type': 'dict', 'required': ['name'], 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric value. => [a-zA-Z0-9_:\\-\\.]*'}, 'defaultAggregationFunction': {'type': 'str', 'position': 0, 'description': 'Default function applied to calculate values for resolution specified in aggregation request. This property is used only for aggregation queries. (default sum)', 'enum': ['sum', 'avg', 'min', 'max', 'wavg', 'sumOfSquares']}, 'defaultWeightByValue': {'type': 'str', 'position': 0, 'description': 'Default value used as weight when aggregating using a weighted average function.'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the value. (default Empty String)'}, 'unit': {'type': 'str', 'position': 0, 'description': 'The unit in which the value is measured (default count)', 'enum': ['count', 'milliseconds', 'seconds', 'minutes', 'hours', 'bytes']}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor value descriptions mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor value names mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}}}, 'maxItems': 2147483647, 'minItems': 1}, 'timeFrameSize': {'type': 'int', 'position': 0, 'description': 'Time period used for setting up time frames. For each time frame, deduplicationFunction property is used to determine value(s) of metric record.'}, 'timeFrameSizeUnit': {'type': 'str', 'position': 0, 'description': 'Unit of the timeFrameSize value, this is used as the default resolution unit during aggregation. (default milliseconds)', 'enum': ['milliseconds', 'seconds', 'minutes', 'hours', 'days']}, 'deduplicationFunction': {'type': 'str', 'position': 0, 'description': 'Function used while submitting a metric record, to calculate value if duplicates within same time frame appear. (default none)', 'enum': ['none', 'first', 'last']}, 'useSeparateIndex': {'type': 'bool', 'position': 0, 'description': 'Whether the separate index for metric records is used or not. (default false)', 'default': False}, 'keepBackup': {'type': 'bool', 'position': 0, 'description': 'Whether to keep a separate record of the metric as a backup outside ElasticSearch. (default true)', 'default': True}, 'keepAuditData': {'type': 'bool', 'position': 0, 'description': 'Whether to maintain a record of data useful for auditing. (default true)', 'default': True}, 'globalDescriptor': {'type': 'bool', 'position': 0, 'description': 'Whether this descriptor is intended for records that are not customer specific. (default false)', 'default': False}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor descriptions mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor names mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}}}}], 'responses': {'201': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the metric descriptor. This name is unique per domain.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric descriptor. This does not need to be unique.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric descriptor based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the metric descriptor.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric descriptor based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'category': {'type': 'str', 'position': 0, 'description': 'Category of the metric descriptor.', 'enum': ['CASE', 'EVENT', 'ASSET', 'SAMPLE', 'OTHER']}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'keys': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric keys.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric key.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric key based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric key', 'additionalProperties': {'type': 'string'}}, 'type': 'str', 'translator': {'type': 'str', 'position': 0, 'description': 'Translator for key value to human readable string.', 'enum': ['none', 'caseCategory', 'componentHostName', 'eventFilter', 'sensorHostName', 'sensorType', 'serviceName', 'monthOfYear', 'dayOfWeek', 'assetName', 'alarmName', 'hourOfDay', 'casePriority', 'assetGroup', 'vulnerabilityIdentifier']}, 'language': {'type': 'str', 'position': 0, 'description': 'Language used for the human readable string.', 'enum': ['english', 'norwegian']}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the key.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric key based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric key', 'additionalProperties': {'type': 'string'}}, 'options': ['ip', 'hostName', 'integer', 'string', 'uuid']}, 'description': 'Metric descriptor Key provides information about the metric key.'}}, 'values': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric values.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric value.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric value based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric value', 'additionalProperties': {'type': 'string'}}, 'defaultAggregationFunction': {'type': 'str', 'position': 0, 'description': 'Default function applied to calculate values for resolution specified in aggregation request. This property is used only for aggregation queries.', 'enum': ['sum', 'avg', 'min', 'max', 'wavg', 'sumOfSquares']}, 'defaultWeightByValue': {'type': 'str', 'position': 0, 'description': 'Default value used as weight when aggregating using a weighted average function.'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the value.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric value based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric value', 'additionalProperties': {'type': 'string'}}, 'unit': {'type': 'str', 'position': 0, 'description': 'The unit in which the value is measured', 'enum': ['count', 'milliseconds', 'seconds', 'minutes', 'hours', 'bytes']}}, 'description': 'Metric descriptor value provides information about the metric value.'}}, 'timeFrameSize': {'type': 'int', 'position': 0, 'description': 'Time period given in the timeFrameSizeUnit and is used for normalizing the timestamp of submitted metric records.'}, 'timeFrameSizeUnit': {'type': 'str', 'position': 0, 'description': 'Largest full time unit that can be made from the timeFrameSize.', 'enum': ['milliseconds', 'seconds', 'minutes', 'hours', 'days']}, 'deduplicationFunction': {'type': 'str', 'position': 0, 'description': 'Function used while submitting a metric record, to calculate value if duplicates within same time frame appear.', 'enum': ['none', 'first', 'last']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the metric descriptor.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}}, 'description': "Metric descriptor provides information about the structure of the metric, it's keys and values."}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation failed'}}}
delete_metric_descriptor = {'tags': ['metrics/v1'], 'summary': 'Delete metric descriptor (INTERNAL)', 'description': '', 'operationId': 'deleteMetricDescriptor', 'produces': ['application/json'], 'parameters': [{'name': 'descriptor', 'in': 'path', 'description': 'Shortname or ID of descriptor', 'required': True, 'type': 'str'}, {'name': 'descriptorDomain', 'in': 'query', 'description': "Domain which is used if short name is specified for 'descriptor' parameter. Defaults to current user domain.", 'required': False, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the metric descriptor. This name is unique per domain.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric descriptor. This does not need to be unique.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric descriptor based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the metric descriptor.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric descriptor based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'category': {'type': 'str', 'position': 0, 'description': 'Category of the metric descriptor.', 'enum': ['CASE', 'EVENT', 'ASSET', 'SAMPLE', 'OTHER']}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'keys': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric keys.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric key.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric key based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric key', 'additionalProperties': {'type': 'string'}}, 'type': 'str', 'translator': {'type': 'str', 'position': 0, 'description': 'Translator for key value to human readable string.', 'enum': ['none', 'caseCategory', 'componentHostName', 'eventFilter', 'sensorHostName', 'sensorType', 'serviceName', 'monthOfYear', 'dayOfWeek', 'assetName', 'alarmName', 'hourOfDay', 'casePriority', 'assetGroup', 'vulnerabilityIdentifier']}, 'language': {'type': 'str', 'position': 0, 'description': 'Language used for the human readable string.', 'enum': ['english', 'norwegian']}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the key.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric key based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric key', 'additionalProperties': {'type': 'string'}}, 'options': ['ip', 'hostName', 'integer', 'string', 'uuid']}, 'description': 'Metric descriptor Key provides information about the metric key.'}}, 'values': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric values.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric value.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric value based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric value', 'additionalProperties': {'type': 'string'}}, 'defaultAggregationFunction': {'type': 'str', 'position': 0, 'description': 'Default function applied to calculate values for resolution specified in aggregation request. This property is used only for aggregation queries.', 'enum': ['sum', 'avg', 'min', 'max', 'wavg', 'sumOfSquares']}, 'defaultWeightByValue': {'type': 'str', 'position': 0, 'description': 'Default value used as weight when aggregating using a weighted average function.'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the value.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric value based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric value', 'additionalProperties': {'type': 'string'}}, 'unit': {'type': 'str', 'position': 0, 'description': 'The unit in which the value is measured', 'enum': ['count', 'milliseconds', 'seconds', 'minutes', 'hours', 'bytes']}}, 'description': 'Metric descriptor value provides information about the metric value.'}}, 'timeFrameSize': {'type': 'int', 'position': 0, 'description': 'Time period given in the timeFrameSizeUnit and is used for normalizing the timestamp of submitted metric records.'}, 'timeFrameSizeUnit': {'type': 'str', 'position': 0, 'description': 'Largest full time unit that can be made from the timeFrameSize.', 'enum': ['milliseconds', 'seconds', 'minutes', 'hours', 'days']}, 'deduplicationFunction': {'type': 'str', 'position': 0, 'description': 'Function used while submitting a metric record, to calculate value if duplicates within same time frame appear.', 'enum': ['none', 'first', 'last']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the metric descriptor.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}}, 'description': "Metric descriptor provides information about the structure of the metric, it's keys and values."}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation failed'}}}
get_metric_descriptor = {'tags': ['metrics/v1'], 'summary': 'Fetch metric descriptor. (PUBLIC)', 'description': '', 'operationId': 'getMetricDescriptor', 'produces': ['application/json'], 'parameters': [{'name': 'descriptor', 'in': 'path', 'description': 'ID or short name of metric descriptor', 'required': True, 'type': 'str'}, {'name': 'descriptorDomain', 'in': 'query', 'description': "Domain which is used if short name is specified for 'descriptor' parameter. Defaults to current user domain.", 'required': False, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the metric descriptor. This name is unique per domain.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric descriptor. This does not need to be unique.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric descriptor based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the metric descriptor.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric descriptor based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'category': {'type': 'str', 'position': 0, 'description': 'Category of the metric descriptor.', 'enum': ['CASE', 'EVENT', 'ASSET', 'SAMPLE', 'OTHER']}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'keys': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric keys.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric key.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric key based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric key', 'additionalProperties': {'type': 'string'}}, 'type': 'str', 'translator': {'type': 'str', 'position': 0, 'description': 'Translator for key value to human readable string.', 'enum': ['none', 'caseCategory', 'componentHostName', 'eventFilter', 'sensorHostName', 'sensorType', 'serviceName', 'monthOfYear', 'dayOfWeek', 'assetName', 'alarmName', 'hourOfDay', 'casePriority', 'assetGroup', 'vulnerabilityIdentifier']}, 'language': {'type': 'str', 'position': 0, 'description': 'Language used for the human readable string.', 'enum': ['english', 'norwegian']}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the key.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric key based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric key', 'additionalProperties': {'type': 'string'}}, 'options': ['ip', 'hostName', 'integer', 'string', 'uuid']}, 'description': 'Metric descriptor Key provides information about the metric key.'}}, 'values': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric values.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric value.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric value based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric value', 'additionalProperties': {'type': 'string'}}, 'defaultAggregationFunction': {'type': 'str', 'position': 0, 'description': 'Default function applied to calculate values for resolution specified in aggregation request. This property is used only for aggregation queries.', 'enum': ['sum', 'avg', 'min', 'max', 'wavg', 'sumOfSquares']}, 'defaultWeightByValue': {'type': 'str', 'position': 0, 'description': 'Default value used as weight when aggregating using a weighted average function.'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the value.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric value based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric value', 'additionalProperties': {'type': 'string'}}, 'unit': {'type': 'str', 'position': 0, 'description': 'The unit in which the value is measured', 'enum': ['count', 'milliseconds', 'seconds', 'minutes', 'hours', 'bytes']}}, 'description': 'Metric descriptor value provides information about the metric value.'}}, 'timeFrameSize': {'type': 'int', 'position': 0, 'description': 'Time period given in the timeFrameSizeUnit and is used for normalizing the timestamp of submitted metric records.'}, 'timeFrameSizeUnit': {'type': 'str', 'position': 0, 'description': 'Largest full time unit that can be made from the timeFrameSize.', 'enum': ['milliseconds', 'seconds', 'minutes', 'hours', 'days']}, 'deduplicationFunction': {'type': 'str', 'position': 0, 'description': 'Function used while submitting a metric record, to calculate value if duplicates within same time frame appear.', 'enum': ['none', 'first', 'last']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the metric descriptor.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}}, 'description': "Metric descriptor provides information about the structure of the metric, it's keys and values."}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation failed'}}}
get_metric_descriptors = {'tags': ['metrics/v1'], 'summary': 'Fetch metric descriptor based on criteria (PUBLIC)', 'description': '', 'operationId': 'getMetricDescriptors', 'produces': ['application/json'], 'parameters': [{'name': 'descriptorDomain', 'in': 'query', 'description': 'Restrict search to entries bound to specified domains (domain ID or shortname)', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'customer', 'in': 'query', 'description': 'Restrict search to entries bound to specified customers (customer ID or shortname)', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'keywords', 'in': 'query', 'description': 'Search by keywords', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'offset', 'in': 'query', 'required': False, 'type': 'int', 'default': 0, 'minimum': 0}, {'name': 'limit', 'in': 'query', 'description': 'Maximum number of returned results', 'required': False, 'type': 'int', 'default': 25, 'minimum': 0}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the metric descriptor. This name is unique per domain.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric descriptor. This does not need to be unique.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric descriptor based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the metric descriptor.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric descriptor based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'category': {'type': 'str', 'position': 0, 'description': 'Category of the metric descriptor.', 'enum': ['CASE', 'EVENT', 'ASSET', 'SAMPLE', 'OTHER']}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'keys': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric keys.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric key.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric key based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric key', 'additionalProperties': {'type': 'string'}}, 'type': 'str', 'translator': {'type': 'str', 'position': 0, 'description': 'Translator for key value to human readable string.', 'enum': ['none', 'caseCategory', 'componentHostName', 'eventFilter', 'sensorHostName', 'sensorType', 'serviceName', 'monthOfYear', 'dayOfWeek', 'assetName', 'alarmName', 'hourOfDay', 'casePriority', 'assetGroup', 'vulnerabilityIdentifier']}, 'language': {'type': 'str', 'position': 0, 'description': 'Language used for the human readable string.', 'enum': ['english', 'norwegian']}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the key.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric key based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric key', 'additionalProperties': {'type': 'string'}}, 'options': ['ip', 'hostName', 'integer', 'string', 'uuid']}, 'description': 'Metric descriptor Key provides information about the metric key.'}}, 'values': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric values.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric value.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric value based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric value', 'additionalProperties': {'type': 'string'}}, 'defaultAggregationFunction': {'type': 'str', 'position': 0, 'description': 'Default function applied to calculate values for resolution specified in aggregation request. This property is used only for aggregation queries.', 'enum': ['sum', 'avg', 'min', 'max', 'wavg', 'sumOfSquares']}, 'defaultWeightByValue': {'type': 'str', 'position': 0, 'description': 'Default value used as weight when aggregating using a weighted average function.'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the value.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric value based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric value', 'additionalProperties': {'type': 'string'}}, 'unit': {'type': 'str', 'position': 0, 'description': 'The unit in which the value is measured', 'enum': ['count', 'milliseconds', 'seconds', 'minutes', 'hours', 'bytes']}}, 'description': 'Metric descriptor value provides information about the metric value.'}}, 'timeFrameSize': {'type': 'int', 'position': 0, 'description': 'Time period given in the timeFrameSizeUnit and is used for normalizing the timestamp of submitted metric records.'}, 'timeFrameSizeUnit': {'type': 'str', 'position': 0, 'description': 'Largest full time unit that can be made from the timeFrameSize.', 'enum': ['milliseconds', 'seconds', 'minutes', 'hours', 'days']}, 'deduplicationFunction': {'type': 'str', 'position': 0, 'description': 'Function used while submitting a metric record, to calculate value if duplicates within same time frame appear.', 'enum': ['none', 'first', 'last']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the metric descriptor.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}}, 'description': "Metric descriptor provides information about the structure of the metric, it's keys and values."}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation failed'}}}
search_metric_descriptors = {'tags': ['metrics/v1'], 'summary': 'Fetch metric descriptor based on criteria (PUBLIC)', 'description': '', 'operationId': 'searchMetricDescriptors', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Metric descriptor search request', 'required': False, 'schema': {'type': 'object', 'properties': {'domain': {'type': 'list', 'position': 0, 'description': 'Restrict search to entries bound to specified domains (domain ID or shortname).', 'uniqueItems': True, 'items': {'type': 'string'}}, 'customer': {'type': 'list', 'position': 0, 'description': 'Restrict search to entries bound to specified customers (customer ID or shortname).', 'uniqueItems': True, 'items': {'type': 'string'}}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Restrict search to entries containing keywords in description.', 'uniqueItems': True, 'items': {'type': 'string'}}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Defines the MatchStrategy for keywords. (default Match all keywords)', 'enum': ['any', 'all']}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'Defines which fields will be searched by keywords (default All supported fields)', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['shortName', 'description', 'all']}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'Include descriptors which have includeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'Exclude descriptors which have excludeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional criterias to be applied as specified in the subcriteria object(s) (AND, AND NOT, OR). (default OR)', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'domain': {'type': 'list', 'position': 0, 'description': 'Restrict search to entries bound to specified domains (domain ID or shortname).', 'uniqueItems': True, 'items': {'type': 'string'}}, 'customer': {'type': 'list', 'position': 0, 'description': 'Restrict search to entries bound to specified customers (customer ID or shortname).', 'uniqueItems': True, 'items': {'type': 'string'}}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Restrict search to entries containing keywords in description.', 'uniqueItems': True, 'items': {'type': 'string'}}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Defines the MatchStrategy for keywords. (default Match all keywords)', 'enum': ['any', 'all']}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'Defines which fields will be searched by keywords (default All supported fields)', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['shortName', 'description', 'all']}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'Include descriptors which have includeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'Exclude descriptors which have excludeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional criterias to be applied as specified in the subcriteria object(s) (AND, AND NOT, OR). (default OR)', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'domain': {'type': 'list', 'position': 0, 'description': 'Restrict search to entries bound to specified domains (domain ID or shortname).', 'uniqueItems': True, 'items': {'type': 'string'}}, 'customer': {'type': 'list', 'position': 0, 'description': 'Restrict search to entries bound to specified customers (customer ID or shortname).', 'uniqueItems': True, 'items': {'type': 'string'}}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Restrict search to entries containing keywords in description.', 'uniqueItems': True, 'items': {'type': 'string'}}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Defines the MatchStrategy for keywords. (default Match all keywords)', 'enum': ['any', 'all']}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'Defines which fields will be searched by keywords (default All supported fields)', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['shortName', 'description', 'all']}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'Include descriptors which have includeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'Exclude descriptors which have excludeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional criterias to be applied as specified in the subcriteria object(s) (AND, AND NOT, OR). (default OR)', 'uniqueItems': True, 'items': []}, 'required': {'type': 'bool', 'position': 0, 'description': 'If set to true, objects matching this subcriteria are required (AND-ed together with parent criteria).'}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'If set to true, objects matching this subcriteria object will be excluded.'}}}}, 'required': {'type': 'bool', 'position': 0, 'description': 'If set to true, objects matching this subcriteria are required (AND-ed together with parent criteria).'}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'If set to true, objects matching this subcriteria object will be excluded.'}}}}, 'includeDeleted': {'type': 'bool', 'position': 0, 'description': 'Include descriptors which have been deleted. (default false)', 'default': False}, 'limit': {'type': 'int', 'position': 0, 'description': 'Set this value to set max number of results. (default 25)', 'default': 25}, 'offset': {'type': 'int', 'position': 0, 'description': 'Set this value to skip the first (offset) objects. By default, return result from first object.'}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the metric descriptor. This name is unique per domain.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric descriptor. This does not need to be unique.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric descriptor based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the metric descriptor.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric descriptor based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'category': {'type': 'str', 'position': 0, 'description': 'Category of the metric descriptor.', 'enum': ['CASE', 'EVENT', 'ASSET', 'SAMPLE', 'OTHER']}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'keys': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric keys.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric key.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric key based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric key', 'additionalProperties': {'type': 'string'}}, 'type': 'str', 'translator': {'type': 'str', 'position': 0, 'description': 'Translator for key value to human readable string.', 'enum': ['none', 'caseCategory', 'componentHostName', 'eventFilter', 'sensorHostName', 'sensorType', 'serviceName', 'monthOfYear', 'dayOfWeek', 'assetName', 'alarmName', 'hourOfDay', 'casePriority', 'assetGroup', 'vulnerabilityIdentifier']}, 'language': {'type': 'str', 'position': 0, 'description': 'Language used for the human readable string.', 'enum': ['english', 'norwegian']}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the key.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric key based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric key', 'additionalProperties': {'type': 'string'}}, 'options': ['ip', 'hostName', 'integer', 'string', 'uuid']}, 'description': 'Metric descriptor Key provides information about the metric key.'}}, 'values': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric values.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric value.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric value based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric value', 'additionalProperties': {'type': 'string'}}, 'defaultAggregationFunction': {'type': 'str', 'position': 0, 'description': 'Default function applied to calculate values for resolution specified in aggregation request. This property is used only for aggregation queries.', 'enum': ['sum', 'avg', 'min', 'max', 'wavg', 'sumOfSquares']}, 'defaultWeightByValue': {'type': 'str', 'position': 0, 'description': 'Default value used as weight when aggregating using a weighted average function.'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the value.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric value based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric value', 'additionalProperties': {'type': 'string'}}, 'unit': {'type': 'str', 'position': 0, 'description': 'The unit in which the value is measured', 'enum': ['count', 'milliseconds', 'seconds', 'minutes', 'hours', 'bytes']}}, 'description': 'Metric descriptor value provides information about the metric value.'}}, 'timeFrameSize': {'type': 'int', 'position': 0, 'description': 'Time period given in the timeFrameSizeUnit and is used for normalizing the timestamp of submitted metric records.'}, 'timeFrameSizeUnit': {'type': 'str', 'position': 0, 'description': 'Largest full time unit that can be made from the timeFrameSize.', 'enum': ['milliseconds', 'seconds', 'minutes', 'hours', 'days']}, 'deduplicationFunction': {'type': 'str', 'position': 0, 'description': 'Function used while submitting a metric record, to calculate value if duplicates within same time frame appear.', 'enum': ['none', 'first', 'last']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the metric descriptor.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}}, 'description': "Metric descriptor provides information about the structure of the metric, it's keys and values."}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation failed'}}}
update_metric_descriptor = {'tags': ['metrics/v1'], 'summary': 'Update existing metric descriptor. (INTERNAL)', 'description': '', 'operationId': 'updateMetricDescriptor', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'descriptor', 'in': 'path', 'description': 'Shortname or ID of descriptor', 'required': True, 'type': 'str'}, {'name': 'descriptorDomain', 'in': 'query', 'description': "Domain which is used if short name is specified for 'descriptor' parameter. Defaults to current user domain.", 'required': False, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Metric descriptor update request', 'required': False, 'schema': {'type': 'object', 'properties': {'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the metric descriptor. Must be unique per domain. => [a-zA-Z0-9_:\\-\\.]*'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric descriptor. Does not need to be unique.'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the metric descriptor. => [\\s\\w\\{\\}\\$\\-\\(\\)\\.\\[\\]"\\\'_/\\\\,\\*\\+\\#:@!?;=]*'}, 'category': {'type': 'str', 'position': 0, 'description': 'Category of metric descriptor.', 'enum': ['CASE', 'EVENT', 'ASSET', 'SAMPLE', 'OTHER']}, 'readFunction': {'type': 'str', 'position': 0, 'description': 'Function required to fetch metric descriptor and associated records.'}, 'writeFunction': {'type': 'str', 'position': 0, 'description': 'Function required to submit metric record.'}, 'adminFunction': {'type': 'str', 'position': 0, 'description': 'Function required to update this metric descriptor.'}, 'addKeys': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric keys to add. Previously accepted metrics will still exist and considered valid, but new submissions must match the changed descriptor.', 'items': {'type': 'dict', 'required': ['language', 'name', 'translator', 'type'], 'properties': {'name': {'type': 'str', 'position': 0, 'description': "Name of the metric key. Will be validated against a list of reserved names, which include 'customer'. => [a-zA-Z0-9_:\\-\\.]*"}, 'type': 'str', 'translator': {'type': 'str', 'position': 0, 'description': 'Translator that can be used for the key value. (default none)', 'enum': ['none', 'caseCategory', 'componentHostName', 'eventFilter', 'sensorHostName', 'sensorType', 'serviceName', 'monthOfYear', 'dayOfWeek', 'assetName', 'alarmName', 'hourOfDay', 'casePriority', 'assetGroup', 'vulnerabilityIdentifier']}, 'language': {'type': 'str', 'position': 0, 'description': 'Language of the translation used on the key value. (default ENGLISH)', 'enum': ['english', 'norwegian']}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the key. (default Empty String)'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor key descriptions mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor key names mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}, 'options': ['ip', 'hostName', 'integer', 'string', 'uuid']}}}, 'updateKeys': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric keys to update. Only the translator and language can be updated while name and type are used to identify the key to modify.', 'items': {'type': 'dict', 'required': ['name'], 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric key. => [a-zA-Z0-9_:\\-\\.]*'}, 'translator': {'type': 'str', 'position': 0, 'description': 'Translator that can be used for the key value.', 'enum': ['none', 'caseCategory', 'componentHostName', 'eventFilter', 'sensorHostName', 'sensorType', 'serviceName', 'monthOfYear', 'dayOfWeek', 'assetName', 'alarmName', 'hourOfDay', 'casePriority', 'assetGroup', 'vulnerabilityIdentifier']}, 'language': {'type': 'str', 'position': 0, 'description': 'Language of the translation used on the key value.', 'enum': ['english', 'norwegian']}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the key.'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor key descriptions mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor key names mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}}}}, 'removeKeys': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric keys to remove. Previously accepted metrics will still exist and considered valid, but new submissions must match the changed descriptor.', 'uniqueItems': True, 'items': {'type': 'string'}}, 'addValues': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric values to add. Previously accepted metrics will still exist and considered valid, but new submissions must match the changed descriptor.', 'items': {'type': 'dict', 'required': ['name'], 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric value. => [a-zA-Z0-9_:\\-\\.]*'}, 'defaultAggregationFunction': {'type': 'str', 'position': 0, 'description': 'Default function applied to calculate values for resolution specified in aggregation request. This property is used only for aggregation queries. (default sum)', 'enum': ['sum', 'avg', 'min', 'max', 'wavg', 'sumOfSquares']}, 'defaultWeightByValue': {'type': 'str', 'position': 0, 'description': 'Default value used as weight when aggregating using a weighted average function.'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the value. (default Empty String)'}, 'unit': {'type': 'str', 'position': 0, 'description': 'The unit in which the value is measured (default count)', 'enum': ['count', 'milliseconds', 'seconds', 'minutes', 'hours', 'bytes']}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor value descriptions mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor value names mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}}}}, 'updateValues': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric values to update. Only the default aggregation and value by weight can be updated while the name is used to identify the value to modify.', 'items': {'type': 'dict', 'required': ['name'], 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric value. => [a-zA-Z0-9_:\\-\\.]*'}, 'defaultAggregationFunction': {'type': 'str', 'position': 0, 'description': 'Default function applied to calculate values for resolution specified in aggregation request. This property is used only for aggregation queries. (default sum)', 'enum': ['sum', 'avg', 'min', 'max', 'wavg', 'sumOfSquares']}, 'defaultWeightByValue': {'type': 'str', 'position': 0, 'description': 'Default value used as weight when aggregating using a weighted average function.'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the value. (default Empty String)'}, 'unit': {'type': 'str', 'position': 0, 'description': 'The unit in which the value is measured (default count)', 'enum': ['count', 'milliseconds', 'seconds', 'minutes', 'hours', 'bytes']}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor value descriptions mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor value names mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}}}}, 'removeValues': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric values to remove. Previously accepted metrics will still exist and considered valid, but new submissions must match the changed descriptor.', 'uniqueItems': True, 'items': {'type': 'string'}}, 'timeFrameSize': {'type': 'int', 'position': 0, 'description': 'Time period used for setting up time frames. For each time frame, deduplicationFunction property is used to determine value(s) of metric record.'}, 'timeFrameSizeUnit': {'type': 'str', 'position': 0, 'description': 'Unit of the timeFrameSize value, this is used as the default resolution unit during aggregation. (default milliseconds)', 'enum': ['milliseconds', 'seconds', 'minutes', 'hours', 'days']}, 'deduplicationFunction': {'type': 'str', 'position': 0, 'description': 'Function used while submitting a metric record, to calculate value if duplicates within same time frame appear.', 'enum': ['none', 'first', 'last']}, 'useSeparateIndex': {'type': 'bool', 'position': 0, 'description': "Whether the separate index for metric records is used or not. If value of this property is 'true', changing is not permitted."}, 'keepBackup': {'type': 'bool', 'position': 0, 'description': 'Whether to keep a separate record of the metric as a backup outside ElasticSearch.'}, 'keepAuditData': {'type': 'bool', 'position': 0, 'description': 'Whether to maintain a record of data useful for auditing.'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor descriptions mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Metric descriptor names mapped by language. Supported languages are: english, norwegian.', 'additionalProperties': {'type': 'string'}}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the metric descriptor. This name is unique per domain.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric descriptor. This does not need to be unique.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric descriptor based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the metric descriptor.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric descriptor based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'category': {'type': 'str', 'position': 0, 'description': 'Category of the metric descriptor.', 'enum': ['CASE', 'EVENT', 'ASSET', 'SAMPLE', 'OTHER']}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'keys': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric keys.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric key.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric key based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric key', 'additionalProperties': {'type': 'string'}}, 'type': 'str', 'translator': {'type': 'str', 'position': 0, 'description': 'Translator for key value to human readable string.', 'enum': ['none', 'caseCategory', 'componentHostName', 'eventFilter', 'sensorHostName', 'sensorType', 'serviceName', 'monthOfYear', 'dayOfWeek', 'assetName', 'alarmName', 'hourOfDay', 'casePriority', 'assetGroup', 'vulnerabilityIdentifier']}, 'language': {'type': 'str', 'position': 0, 'description': 'Language used for the human readable string.', 'enum': ['english', 'norwegian']}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the key.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric key based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric key', 'additionalProperties': {'type': 'string'}}, 'options': ['ip', 'hostName', 'integer', 'string', 'uuid']}, 'description': 'Metric descriptor Key provides information about the metric key.'}}, 'values': {'type': 'list', 'position': 0, 'description': 'Descriptors for metric values.', 'items': {'type': 'dict', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Name of the metric value.'}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Name of the metric value based on the current user's language settings."}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'All available names of the metric value', 'additionalProperties': {'type': 'string'}}, 'defaultAggregationFunction': {'type': 'str', 'position': 0, 'description': 'Default function applied to calculate values for resolution specified in aggregation request. This property is used only for aggregation queries.', 'enum': ['sum', 'avg', 'min', 'max', 'wavg', 'sumOfSquares']}, 'defaultWeightByValue': {'type': 'str', 'position': 0, 'description': 'Default value used as weight when aggregating using a weighted average function.'}, 'description': {'type': 'str', 'position': 0, 'description': 'Description of the value.'}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Description of the metric value based on the current user's language settings."}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'All available descriptions of the metric value', 'additionalProperties': {'type': 'string'}}, 'unit': {'type': 'str', 'position': 0, 'description': 'The unit in which the value is measured', 'enum': ['count', 'milliseconds', 'seconds', 'minutes', 'hours', 'bytes']}}, 'description': 'Metric descriptor value provides information about the metric value.'}}, 'timeFrameSize': {'type': 'int', 'position': 0, 'description': 'Time period given in the timeFrameSizeUnit and is used for normalizing the timestamp of submitted metric records.'}, 'timeFrameSizeUnit': {'type': 'str', 'position': 0, 'description': 'Largest full time unit that can be made from the timeFrameSize.', 'enum': ['milliseconds', 'seconds', 'minutes', 'hours', 'days']}, 'deduplicationFunction': {'type': 'str', 'position': 0, 'description': 'Function used while submitting a metric record, to calculate value if duplicates within same time frame appear.', 'enum': ['none', 'first', 'last']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the metric descriptor.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}}, 'description': "Metric descriptor provides information about the structure of the metric, it's keys and values."}}}}, '220': {'description': 'No values updated.', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'integer', 'format': 'int32', 'description': 'Status code returned from API'}, 'limit': {'type': 'integer', 'format': 'int64', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'integer', 'format': 'int64', 'description': 'Number of skipped results'}, 'count': {'type': 'integer', 'format': 'int64', 'description': 'Number of available results on server'}, 'size': {'type': 'integer', 'format': 'int64', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'object', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'array', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'object', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': {'type': 'string', 'enum': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}, 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'integer', 'format': 'int64'}}}}, 'data': {'type': 'object', 'properties': {'id': {'type': 'string', 'format': 'uuid', 'position': 0, 'description': 'ID of the response object.'}, 'shortName': {'type': 'string', 'position': 0, 'description': 'Short name of the metric descriptor. This name is unique per domain.'}, 'name': {'type': 'string', 'position': 0, 'description': 'Name of the metric descriptor. This does not need to be unique.'}, 'localizedName': {'type': 'string', 'position': 0, 'description': "Name of the metric descriptor based on the current user's language settings."}, 'localizedNames': {'type': 'object', 'position': 0, 'description': 'All available names of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'domain': {'type': 'object', 'properties': {'id': {'type': 'integer', 'format': 'int32', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'string', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}, 'customer': {'type': 'object', 'properties': {'id': {'type': 'integer', 'format': 'int64', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'string', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'string', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'object', 'properties': {'id': {'type': 'integer', 'format': 'int32', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'string', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'description': {'type': 'string', 'position': 0, 'description': 'Description of the metric descriptor.'}, 'localizedDescription': {'type': 'string', 'position': 0, 'description': "Description of the metric descriptor based on the current user's language settings."}, 'localizedDescriptions': {'type': 'object', 'position': 0, 'description': 'All available descriptions of the metric descriptor', 'additionalProperties': {'type': 'string'}}, 'category': {'type': 'string', 'position': 0, 'description': 'Category of the metric descriptor.', 'enum': ['CASE', 'EVENT', 'ASSET', 'SAMPLE', 'OTHER']}, 'readFunction': {'type': 'object', 'properties': {'id': {'type': 'integer', 'format': 'int64', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'string', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'writeFunction': {'type': 'object', 'properties': {'id': {'type': 'integer', 'format': 'int64', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'string', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'adminFunction': {'type': 'object', 'properties': {'id': {'type': 'integer', 'format': 'int64', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'string', 'position': 0, 'description': 'Name of the function.'}}, 'description': 'SPI FunctionInfo'}, 'keys': {'type': 'array', 'position': 0, 'description': 'Descriptors for metric keys.', 'items': {'type': 'object', 'properties': {'name': {'type': 'string', 'position': 0, 'description': 'Name of the metric key.'}, 'localizedName': {'type': 'string', 'position': 0, 'description': "Name of the metric key based on the current user's language settings."}, 'localizedNames': {'type': 'object', 'position': 0, 'description': 'All available names of the metric key', 'additionalProperties': {'type': 'string'}}, 'type': {'type': 'string', 'position': 0, 'description': 'Type of the metric key.', 'enum': ['ip', 'hostName', 'integer', 'string', 'uuid']}, 'translator': {'type': 'string', 'position': 0, 'description': 'Translator for key value to human readable string.', 'enum': ['none', 'caseCategory', 'componentHostName', 'eventFilter', 'sensorHostName', 'sensorType', 'serviceName', 'monthOfYear', 'dayOfWeek', 'assetName', 'alarmName', 'hourOfDay', 'casePriority', 'assetGroup', 'vulnerabilityIdentifier']}, 'language': {'type': 'string', 'position': 0, 'description': 'Language used for the human readable string.', 'enum': ['english', 'norwegian']}, 'description': {'type': 'string', 'position': 0, 'description': 'Description of the key.'}, 'localizedDescription': {'type': 'string', 'position': 0, 'description': "Description of the metric key based on the current user's language settings."}, 'localizedDescriptions': {'type': 'object', 'position': 0, 'description': 'All available descriptions of the metric key', 'additionalProperties': {'type': 'string'}}}, 'description': 'Metric descriptor Key provides information about the metric key.'}}, 'values': {'type': 'array', 'position': 0, 'description': 'Descriptors for metric values.', 'items': {'type': 'object', 'properties': {'name': {'type': 'string', 'position': 0, 'description': 'Name of the metric value.'}, 'localizedName': {'type': 'string', 'position': 0, 'description': "Name of the metric value based on the current user's language settings."}, 'localizedNames': {'type': 'object', 'position': 0, 'description': 'All available names of the metric value', 'additionalProperties': {'type': 'string'}}, 'defaultAggregationFunction': {'type': 'string', 'position': 0, 'description': 'Default function applied to calculate values for resolution specified in aggregation request. This property is used only for aggregation queries.', 'enum': ['sum', 'avg', 'min', 'max', 'wavg', 'sumOfSquares']}, 'defaultWeightByValue': {'type': 'string', 'position': 0, 'description': 'Default value used as weight when aggregating using a weighted average function.'}, 'description': {'type': 'string', 'position': 0, 'description': 'Description of the value.'}, 'localizedDescription': {'type': 'string', 'position': 0, 'description': "Description of the metric value based on the current user's language settings."}, 'localizedDescriptions': {'type': 'object', 'position': 0, 'description': 'All available descriptions of the metric value', 'additionalProperties': {'type': 'string'}}, 'unit': {'type': 'string', 'position': 0, 'description': 'The unit in which the value is measured', 'enum': ['count', 'milliseconds', 'seconds', 'minutes', 'hours', 'bytes']}}, 'description': 'Metric descriptor value provides information about the metric value.'}}, 'timeFrameSize': {'type': 'integer', 'format': 'int64', 'position': 0, 'description': 'Time period given in the timeFrameSizeUnit and is used for normalizing the timestamp of submitted metric records.'}, 'timeFrameSizeUnit': {'type': 'string', 'position': 0, 'description': 'Largest full time unit that can be made from the timeFrameSize.', 'enum': ['milliseconds', 'seconds', 'minutes', 'hours', 'days']}, 'deduplicationFunction': {'type': 'string', 'position': 0, 'description': 'Function used while submitting a metric record, to calculate value if duplicates within same time frame appear.', 'enum': ['none', 'first', 'last']}, 'flags': {'type': 'array', 'position': 0, 'description': 'Flags assigned to the metric descriptor.', 'uniqueItems': True, 'items': {'type': 'string', 'enum': ['deleted', 'usingSeparateIndex', 'keepBackup', 'keepAuditData', 'global']}}}, 'description': "Metric descriptor provides information about the structure of the metric, it's keys and values."}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation failed'}}}