"""Autogenerated API schema"""
from argus_api import session


search_records_simplified_cof = {'tags': ['pdns/v3'], 'summary': 'Search against PassiveDNS and return matching records in PDNS COF format (PUBLIC)', 'description': 'This endpoint behaves exactly like searchRecordsSimplified, but follows the Passive DNS Common Output Format as specified in Internet Draft draft-dulaunoy-dnsop-passive-dns-cof-06.\nThis means that the return format of this endpoint is a newline-separated list of JSON objects.', 'operationId': 'searchRecordsSimplifiedCOF', 'produces': ['application/json', 'text/csv'], 'parameters': [{'name': 'Accept', 'in': 'header', 'required': False, 'type': 'string'}, {'name': 'query', 'in': 'path', 'description': 'Search by query', 'required': True, 'type': 'str'}, {'name': 'aggregate', 'in': 'query', 'description': 'Whether aggregate records', 'required': False, 'type': 'bool', 'default': True}, {'name': 'includeAnonymous', 'in': 'query', 'description': 'Whether include anonymous records', 'required': False, 'type': 'bool', 'default': True}, {'name': 'rrClass', 'in': 'query', 'description': 'Search by recordClass (rrclass)', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['in']}, 'collectionFormat': 'multi'}, {'name': 'rrType', 'in': 'query', 'description': 'Search by type (rrtype)', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['a', 'aaaa', 'cname', 'dname', 'mx', 'naptr', 'ns', 'ptr', 'rp', 'soa', 'srv', 'txt']}, 'collectionFormat': 'multi'}, {'name': 'customerID', 'in': 'query', 'description': 'Search by customerID', 'required': False, 'type': 'list', 'items': {'type': 'int'}, 'collectionFormat': 'multi'}, {'name': 'tlp', 'in': 'query', 'description': 'Search by TLP', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['white', 'green', 'amber', 'red']}, 'collectionFormat': 'multi'}, {'name': 'offset', 'in': 'query', 'description': 'Skip a number of records', 'required': False, 'type': 'int', 'default': 0, 'minimum': 0}, {'name': 'limit', 'in': 'query', 'description': 'Max number of records to be returned', 'required': False, 'type': 'int', 'default': 25, 'minimum': 0}, {'name': 'queryMatchStrategy', 'in': 'query', 'description': 'Query match strategy, partial must be set to use the wildcard', 'required': False, 'type': 'str', 'enum': ['exact', 'includeSubdomains']}], 'responses': {'401': {'description': 'Authentication failed'}, '402': {'description': 'Resource limit exceeded'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation failed'}}}