"""Autogenerated API schema"""
from argus_api import session


get_basic_function = {'tags': ['development'], 'summary': 'Get a basic function (DEV)', 'description': '', 'operationId': 'getBasicFunction', 'produces': ['application/json'], 'parameters': [{'name': 'idOrShortname', 'in': 'path', 'description': 'The name or id of the function', 'required': True, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the function'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Set of flags that are true for this function', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'role', 'sysadm', 'readOnly']}}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Function name based on the current user's language settings"}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Function description based on the current user's language settings"}, 'roleType': {'type': 'str', 'position': 0, 'description': 'The role type of the function', 'enum': ['service', 'case', 'tool', 'other']}, 'minimumSecurityLevel': {'type': 'str', 'position': 0, 'description': 'The minimum security level of the function', 'enum': ['administrative', 'standard', 'external']}}, 'description': 'Basic function response object providing detailed information about functions'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}}}
list_basic_functions = {'tags': ['development'], 'summary': 'Returns the functions matching the query (DEV)', 'description': '', 'operationId': 'listBasicFunctions', 'produces': ['application/json'], 'parameters': [{'name': 'offset', 'in': 'query', 'description': 'Skip a number of results', 'required': False, 'type': 'int', 'default': 0, 'minimum': 0}, {'name': 'limit', 'in': 'query', 'description': 'Maximum number of returned results', 'required': False, 'type': 'int', 'default': 25, 'minimum': 0}, {'name': 'function', 'in': 'query', 'description': 'Search by function name or ID', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'excludeFlag', 'in': 'query', 'description': 'Exclude functions with flag', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['deleted', 'role', 'sysadm', 'readOnly']}, 'collectionFormat': 'multi'}, {'name': 'includeFlag', 'in': 'query', 'description': 'Include functions with flag', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['deleted', 'role', 'sysadm', 'readOnly']}, 'collectionFormat': 'multi'}, {'name': 'keywords', 'in': 'query', 'description': 'Search by keywords', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'keywordMatch', 'in': 'query', 'description': 'Set match strategy for keyword search', 'required': False, 'type': 'str', 'default': 'all', 'enum': ['any', 'all']}, {'name': 'keywordField', 'in': 'query', 'description': 'Set field strategy for keyword search', 'required': False, 'type': 'list', 'items': {'type': 'str', 'default': 'all', 'enum': ['name', 'all']}, 'collectionFormat': 'multi'}, {'name': 'sortBy', 'in': 'query', 'description': 'Sort search result', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the function'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Set of flags that are true for this function', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'role', 'sysadm', 'readOnly']}}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Function name based on the current user's language settings"}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Function description based on the current user's language settings"}, 'roleType': {'type': 'str', 'position': 0, 'description': 'The role type of the function', 'enum': ['service', 'case', 'tool', 'other']}, 'minimumSecurityLevel': {'type': 'str', 'position': 0, 'description': 'The minimum security level of the function', 'enum': ['administrative', 'standard', 'external']}}, 'description': 'Basic function response object providing detailed information about functions'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
search_basic_functions = {'tags': ['development'], 'summary': 'Returns the functions matching the query (DEV)', 'description': '', 'operationId': 'searchBasicFunctions', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Basic function search request', 'required': False, 'schema': {'type': 'object', 'required': ['keywordFieldStrategy', 'keywordMatchStrategy'], 'properties': {'function': {'type': 'list', 'position': 0, 'description': 'Set of IDs or names of the functions to search for', 'uniqueItems': True, 'items': {'type': 'string'}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'Include functions that have all these flags set', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'role', 'sysadm', 'readOnly']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'Exclude flags that have any of these flags set', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'role', 'sysadm', 'readOnly']}}, 'requirePermission': {'type': 'bool', 'position': 0, 'description': 'If true, filter functions that the current user has (some) permission for.'}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Keywords to search for', 'uniqueItems': True, 'items': {'type': 'string'}}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'Which fields will be searched for the given keyword (default All supported fields)', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['name', 'all']}}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Search based on all keywords (AND), or based on any keyword (OR) (default Match all keywords (AND))', 'enum': ['any', 'all']}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Sub criteria to add to the search', 'uniqueItems': True, 'items': {'type': 'dict', 'required': ['keywordFieldStrategy', 'keywordMatchStrategy'], 'properties': {'function': {'type': 'list', 'position': 0, 'description': 'Set of IDs or names of the functions to search for', 'uniqueItems': True, 'items': {'type': 'string'}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'Include functions that have all these flags set', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'role', 'sysadm', 'readOnly']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'Exclude flags that have any of these flags set', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'role', 'sysadm', 'readOnly']}}, 'requirePermission': {'type': 'bool', 'position': 0, 'description': 'If true, filter functions that the current user has (some) permission for.'}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Keywords to search for', 'uniqueItems': True, 'items': {'type': 'string'}}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'Which fields will be searched for the given keyword (default All supported fields)', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['name', 'all']}}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Search based on all keywords (AND), or based on any keyword (OR) (default Match all keywords (AND))', 'enum': ['any', 'all']}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Sub criteria to add to the search', 'uniqueItems': True, 'items': {'type': 'dict', 'required': ['keywordFieldStrategy', 'keywordMatchStrategy'], 'properties': {'function': {'type': 'list', 'position': 0, 'description': 'Set of IDs or names of the functions to search for', 'uniqueItems': True, 'items': {'type': 'string'}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'Include functions that have all these flags set', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'role', 'sysadm', 'readOnly']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'Exclude flags that have any of these flags set', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'role', 'sysadm', 'readOnly']}}, 'requirePermission': {'type': 'bool', 'position': 0, 'description': 'If true, filter functions that the current user has (some) permission for.'}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Keywords to search for', 'uniqueItems': True, 'items': {'type': 'string'}}, 'keywordFieldStrategy': {'type': 'list', 'position': 0, 'description': 'Which fields will be searched for the given keyword (default All supported fields)', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['name', 'all']}}, 'keywordMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Search based on all keywords (AND), or based on any keyword (OR) (default Match all keywords (AND))', 'enum': ['any', 'all']}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Sub criteria to add to the search', 'uniqueItems': True, 'items': []}, 'required': {'type': 'bool', 'position': 0, 'description': 'Is this subcriteria required? If false it is OR-ed, if true it is AND-ed (default false)', 'default': False}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'Exclude objects matching subcriteria? If true, the criteria is NOT-ed. (default false)', 'default': False}}, 'description': 'The sub request for searching for basic functions'}}, 'required': {'type': 'bool', 'position': 0, 'description': 'Is this subcriteria required? If false it is OR-ed, if true it is AND-ed (default false)', 'default': False}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'Exclude objects matching subcriteria? If true, the criteria is NOT-ed. (default false)', 'default': False}}, 'description': 'The sub request for searching for basic functions'}}, 'limit': {'type': 'int', 'position': 0, 'description': 'The max amount of items to display (default 25)', 'minimum': 0, 'default': 25}, 'offset': {'type': 'int', 'position': 0, 'description': 'The amount of items to skip (default 0)', 'minimum': 0, 'default': 0}, 'sortBy': {'type': 'list', 'position': 0, 'description': 'Field to sort result by (default name)', 'items': {'type': 'str', 'enum': ['id', 'name', '-id', '-name']}}}, 'description': 'Request to search for basic functions'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the function'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the function'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Set of flags that are true for this function', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted', 'role', 'sysadm', 'readOnly']}}, 'localizedName': {'type': 'str', 'position': 0, 'description': "Function name based on the current user's language settings"}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': "Function description based on the current user's language settings"}, 'roleType': {'type': 'str', 'position': 0, 'description': 'The role type of the function', 'enum': ['service', 'case', 'tool', 'other']}, 'minimumSecurityLevel': {'type': 'str', 'position': 0, 'description': 'The minimum security level of the function', 'enum': ['administrative', 'standard', 'external']}}, 'description': 'Basic function response object providing detailed information about functions'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}